"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Context = Context;

var _react = _interopRequireWildcard(require("react"));

require("../style.css");

var _components = require("../components");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var defaultTranslate = function defaultTranslate(key) {
  switch (key) {
    case 'processing':
      return 'Processing';

    case 'submit':
      return 'Submit';

    case 'close':
      return 'Close';

    default:
      return '';
  }
};

function Context(_ref) {
  var children = _ref.children,
      linkComponent = _ref.linkComponent,
      explicitTranslate = _ref.translate,
      explicitTheme = _ref.theme;
  var theme = (0, _react.useMemo)(function () {
    return explicitTheme !== null && explicitTheme !== void 0 ? explicitTheme : (0, _components.createTheme)();
  }, [explicitTheme]);
  var translate = (0, _react.useMemo)(function () {
    return explicitTranslate !== null && explicitTranslate !== void 0 ? explicitTranslate : defaultTranslate;
  }, [explicitTranslate]);
  return /*#__PURE__*/_react["default"].createElement(_components.AppContext, {
    translate: translate,
    linkComponent: linkComponent
  }, /*#__PURE__*/_react["default"].createElement(_components.Theme, {
    theme: theme
  }, children));
}