"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CalloutBanner = CalloutBanner;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Heading = require("../Heading");

var _HeadingGroup = require("../HeadingGroup");

var _TextContainer = require("../TextContainer");

var _View = require("../View");

var _CalloutBanner = _interopRequireDefault(require("./CalloutBanner.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function CalloutBanner(_ref) {
  var title = _ref.title,
      children = _ref.children,
      _ref$border = _ref.border,
      border = _ref$border === void 0 ? 'block' : _ref$border,
      _ref$background = _ref.background,
      background = _ref$background === void 0 ? 'secondary' : _ref$background,
      _ref$alignment = _ref.alignment,
      alignment = _ref$alignment === void 0 ? 'center' : _ref$alignment,
      _ref$spacing = _ref.spacing,
      spacing = _ref$spacing === void 0 ? 'tight' : _ref$spacing;

  var titleMarkup = title && /*#__PURE__*/_react["default"].createElement(_Heading.Heading, {
    level: 3
  }, title);

  return /*#__PURE__*/_react["default"].createElement("div", {
    className: (0, _cssUtilities.classNames)(_CalloutBanner["default"].CalloutBanner, border && _CalloutBanner["default"][(0, _cssUtilities.variationName)('border', border)], background && _CalloutBanner["default"][(0, _cssUtilities.variationName)('background', background)]),
    role: "status",
    "aria-atomic": "true",
    "aria-live": "polite"
  }, /*#__PURE__*/_react["default"].createElement(_TextContainer.TextContainer, {
    alignment: alignment === 'leading' ? undefined : alignment,
    spacing: spacing
  }, /*#__PURE__*/_react["default"].createElement(_HeadingGroup.HeadingGroup, null, titleMarkup, /*#__PURE__*/_react["default"].createElement(_View.View, null, children))));
}