"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CalloutHeader = CalloutHeader;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Icon = require("../Icon");

var _CalloutHeader = _interopRequireDefault(require("./CalloutHeader.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var STATUS_ICONS = {
  success: /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    source: "checkmarkCircle",
    appearance: "accent"
  }),
  cancelled: /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    source: "cancelCircle",
    appearance: "accent"
  }),
  warning: /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    source: "warningCircle",
    appearance: "subdued"
  })
};

function CalloutHeader(_ref) {
  var children = _ref.children,
      status = _ref.status,
      _ref$animated = _ref.animated,
      animated = _ref$animated === void 0 ? true : _ref$animated;
  var className = (0, _cssUtilities.classNames)(_CalloutHeader["default"].CalloutHeader, _defineProperty({}, _CalloutHeader["default"].Animated, animated));
  return /*#__PURE__*/_react["default"].createElement("header", {
    className: className
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: _CalloutHeader["default"].CalloutHeaderStatus
  }, STATUS_ICONS[status]), /*#__PURE__*/_react["default"].createElement("div", {
    className: _CalloutHeader["default"].CalloutHeaderContent
  }, children));
}