"use strict";

var _react = _interopRequireDefault(require("react"));

var _dom = require("@quilted/react-testing/dom");

var _Icon = require("../Icon");

var _CalloutHeader = require("./CalloutHeader");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function Child() {
  return /*#__PURE__*/_react["default"].createElement("div", null);
}

describe('<CalloutHeader />', function () {
  it('renders its children', function () {
    var calloutHeader = (0, _dom.mount)( /*#__PURE__*/_react["default"].createElement(_CalloutHeader.CalloutHeader, {
      status: "success"
    }, /*#__PURE__*/_react["default"].createElement(Child, null), /*#__PURE__*/_react["default"].createElement(Child, null)));
    expect(calloutHeader).toContainReactComponentTimes(Child, 2);
  });
  it('renders a checkmark icon', function () {
    var calloutHeader = (0, _dom.mount)( /*#__PURE__*/_react["default"].createElement(_CalloutHeader.CalloutHeader, {
      status: "success"
    }, /*#__PURE__*/_react["default"].createElement(Child, null)));
    expect(calloutHeader).toContainReactComponent(_Icon.Icon, {
      source: 'checkmarkCircle'
    });
  });
  it('renders a cancelled icon', function () {
    var calloutHeader = (0, _dom.mount)( /*#__PURE__*/_react["default"].createElement(_CalloutHeader.CalloutHeader, {
      status: "cancelled"
    }, /*#__PURE__*/_react["default"].createElement(Child, null)));
    expect(calloutHeader).toContainReactComponent(_Icon.Icon, {
      source: 'cancelCircle'
    });
  });
});