"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Icon = Icon;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _legacy = require("../../utilities/legacy");

var _icons = require("../../icons");

var _Icon = _interopRequireDefault(require("./Icon.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var BUNDLED_ICONS = {
  camera: _icons.camera,
  cancelCircle: _icons.cancelCircle,
  caretDown: _icons.caretDown,
  cart: _icons.cart,
  checkmark: _icons.checkmark,
  checkmarkCircle: _icons.checkmarkCircle,
  chevronDown: _icons.chevronDown,
  chevronUp: _icons.chevronUp,
  chevronRight: _icons.chevronRight,
  chevronLeft: _icons.chevronLeft,
  close: _icons.close,
  critical: _icons.critical,
  discount: _icons.discount,
  delivered: _icons.delivered,
  delivery: _icons.delivery,
  disabled: _icons.disabled,
  errorFill: _icons.errorFill,
  info: _icons.info,
  lock: _icons.lock,
  mobile: _icons.mobile,
  questionFill: _icons.questionFill,
  spinner: _icons.spinner,
  spinnerSmall: _icons.spinnerSmall,
  success: _icons.success,
  ship: _icons.ship,
  warning: _icons.warning,
  warningCircle: _icons.warningCircle,
  warningFill: _icons.warningFill
};

function Icon(_ref) {
  var source = _ref.source,
      appearance = _ref.appearance,
      size = _ref.size,
      accessibilityLabel = _ref.accessibilityLabel;
  var className = (0, _cssUtilities.classNames)(_Icon["default"].Icon, appearance && _Icon["default"][(0, _cssUtilities.variationName)('appearance', appearance)], appearance && appearance === 'accent' && _legacy.utilityDefaultColorAccent, size && _Icon["default"][(0, _cssUtilities.variationName)('size', size)]);
  var contentMarkup;

  if (source === 'placeholder') {
    contentMarkup = /*#__PURE__*/_react["default"].createElement("div", {
      className: _Icon["default"].Placeholder
    });
  } else {
    var SourceComponent = BUNDLED_ICONS[source];
    contentMarkup = /*#__PURE__*/_react["default"].createElement(SourceComponent, {
      className: _Icon["default"].Svg,
      focusable: "false",
      "aria-hidden": "true"
    });
  }

  return /*#__PURE__*/_react["default"].createElement("span", {
    className: className,
    "aria-label": accessibilityLabel
  }, contentMarkup);
}