"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.aspectRatio = exports.responsive = exports.contain = exports.cover = exports.lazyLoading = exports.defaultState = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _faker = _interopRequireDefault(require("faker"));

var _TextContainer = require("../TextContainer");

var _Image = require("./Image");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var meta = {
  component: _Image.Image,
  title: 'Image'
};
var _default = meta;
exports["default"] = _default;

var defaultState = function defaultState() {
  return /*#__PURE__*/_react["default"].createElement(_Image.Image, {
    source: "http://placekitten.com/g/320/180"
  });
};

exports.defaultState = defaultState;

var lazyLoading = function lazyLoading() {
  return /*#__PURE__*/_react["default"].createElement(_Image.Image, {
    source: "http://placekitten.com/g/320/180",
    description: "placekitten.com",
    loading: "lazy"
  });
};

exports.lazyLoading = lazyLoading;

var cover = function cover() {
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: 256
    }
  }, /*#__PURE__*/_react["default"].createElement(_Image.Image, {
    source: "http://placekitten.com/g/320/180",
    sources: [{
      source: 'http://placekitten.com/g/320/180',
      resolution: 1
    }, {
      source: 'http://placekitten.com/g/640/360',
      resolution: 2
    }],
    aspectRatio: 1,
    fit: "cover",
    bordered: true,
    description: "placekitten.com"
  }));
};

exports.cover = cover;

var contain = function contain() {
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: 256
    }
  }, /*#__PURE__*/_react["default"].createElement(_Image.Image, {
    source: "http://placekitten.com/g/320/180",
    sources: [{
      source: 'http://placekitten.com/g/320/180',
      resolution: 1
    }, {
      source: 'http://placekitten.com/g/640/360',
      resolution: 2
    }],
    aspectRatio: 1,
    fit: "contain",
    bordered: true,
    description: "placekitten.com"
  }));
};

exports.contain = contain;

var responsive = function responsive() {
  return /*#__PURE__*/_react["default"].createElement(_Image.Image, {
    source: "http://placekitten.com/g/320/180",
    sources: [{
      source: 'http://placekitten.com/g/320/180',
      resolution: 1,
      viewportSize: 'small'
    }, {
      source: 'http://placekitten.com/g/640/360',
      resolution: 2,
      viewportSize: 'small'
    }, {
      source: 'http://placekitten.com/g/640/360',
      resolution: 1,
      viewportSize: 'medium'
    }, {
      source: 'http://placekitten.com/g/1280/720',
      resolution: 2,
      viewportSize: 'medium'
    }, {
      source: 'http://placekitten.com/g/1280/720',
      resolution: 1,
      viewportSize: 'large'
    }, {
      source: 'http://placekitten.com/g/2560/1440',
      resolution: 2,
      viewportSize: 'large'
    }],
    description: "placekitten.com"
  });
};

exports.responsive = responsive;

var aspectRatio = function aspectRatio() {
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: 320
    }
  }, /*#__PURE__*/_react["default"].createElement(_TextContainer.TextContainer, null, /*#__PURE__*/_react["default"].createElement(_Image.Image, {
    source: "http://placekitten.com/g/640/360",
    aspectRatio: 3
  }), /*#__PURE__*/_react["default"].createElement("p", null, _faker["default"].lorem.paragraphs(3))));
};

exports.aspectRatio = aspectRatio;