"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Labelled = Labelled;

var _react = _interopRequireWildcard(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _mounted = require("../../utilities/mounted");

var _Text = require("../Text");

var _Truncate = require("../Truncate");

var _Theme = require("../Theme");

var _context = require("./context");

var _Labelled = _interopRequireDefault(require("./Labelled.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function Labelled(_ref) {
  var children = _ref.children,
      label = _ref.label,
      htmlFor = _ref.htmlFor,
      _ref$isEmpty = _ref.isEmpty,
      isEmpty = _ref$isEmpty === void 0 ? true : _ref$isEmpty,
      _ref$position = _ref.position,
      position = _ref$position === void 0 ? 'inside' : _ref$position,
      _ref$background = _ref.background,
      background = _ref$background === void 0 ? 'surfaceTertiary' : _ref$background,
      subdued = _ref.subdued;
  var mounted = (0, _mounted.useMounted)();

  var _useReducer = (0, _react.useReducer)(function (state, action) {
    if (!mounted.current) return state;

    switch (action.type) {
      case 'focus':
        {
          return _objectSpread(_objectSpread({}, state), {}, {
            isFocused: true
          });
        }

      case 'blur':
        {
          return _objectSpread(_objectSpread({}, state), {}, {
            isFloating: !state.isEmpty,
            isFocused: false
          });
        }

      case 'change':
        {
          return _objectSpread(_objectSpread({}, state), {}, {
            isFloating: true,
            isEmpty: action.isEmpty
          });
        }

      case 'init':
        {
          return _objectSpread(_objectSpread({}, state), {}, {
            isFloating: !action.isEmpty,
            isEmpty: action.isEmpty
          });
        }
    }
  }, {
    isEmpty: isEmpty,
    isFloating: !isEmpty,
    isFocused: false
  }),
      _useReducer2 = _slicedToArray(_useReducer, 2),
      state = _useReducer2[0],
      dispatch = _useReducer2[1]; // Handle value changes that bypasses the on Change handler
  // ie. asynchronously setting the value for a children


  (0, _react.useEffect)(function () {
    if (!state.isFocused && state.isEmpty !== isEmpty) {
      dispatch({
        type: 'init',
        isEmpty: isEmpty
      });
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, [isEmpty]);
  var onFocus = (0, _react.useCallback)(function () {
    return dispatch({
      type: 'focus'
    });
  }, []);
  var onBlur = (0, _react.useCallback)(function () {
    return dispatch({
      type: 'blur'
    });
  }, []);
  var onChange = (0, _react.useCallback)(function (isEmpty) {
    return dispatch({
      type: 'change',
      isEmpty: isEmpty
    });
  }, []);
  var value = (0, _react.useMemo)(function () {
    return _objectSpread(_objectSpread({}, state), {}, {
      onBlur: onBlur,
      onChange: onChange,
      onFocus: onFocus
    });
  }, [onBlur, onChange, onFocus, state]);

  var _useThemeConfiguratio = (0, _Theme.useThemeConfiguration)(),
      typographyStyle = _useThemeConfiguratio.label.typographyStyle;

  return /*#__PURE__*/_react["default"].createElement(_context.LabelledContext.Provider, {
    value: value
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: _Labelled["default"].Wrapper
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: (0, _cssUtilities.classNames)(_defineProperty({}, _Labelled["default"].isFloating, state.isFloating && position === 'inside'))
  }, /*#__PURE__*/_react["default"].createElement("label", {
    htmlFor: htmlFor,
    className: (0, _cssUtilities.classNames)(_Labelled["default"].Label, _Labelled["default"][(0, _cssUtilities.variationName)('Label-position', position)], subdued && _Labelled["default"]['Label-isSubdued'], background && _Labelled["default"][(0, _cssUtilities.variationName)('Label-onBackground', background)])
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    size: "small",
    subdued: true,
    style: typographyStyle
  }, /*#__PURE__*/_react["default"].createElement(_Truncate.Truncate, null, label))), children)));
}