"use strict";

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _react = _interopRequireDefault(require("react"));

var _testUtilities = require("../../test-utilities");

var _Labelled = require("./Labelled");

var _hook = require("./hook");

var _context9 = require("./context");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

var defaultProps = {
  children: /*#__PURE__*/_react["default"].createElement("div", null),
  label: '',
  htmlFor: '',
  isEmpty: true
};
describe('<Labelled />', function () {
  it('renders the children', /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
    var labelled;
    return _regenerator["default"].wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            labelled = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react["default"].createElement(_Labelled.Labelled, defaultProps, /*#__PURE__*/_react["default"].createElement(Child, null)));
            expect(labelled).toContainReactComponent(Child);

          case 2:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  })));
  it('wraps children with a LabelledContext.Provider', /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regenerator["default"].mark(function _callee2() {
    var label, labelled;
    return _regenerator["default"].wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            label = 'Email';
            labelled = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react["default"].createElement(_Labelled.Labelled, Object.assign({}, defaultProps, {
              label: label
            })));
            expect(labelled).toProvideReactContext(_context9.LabelledContext);

          case 3:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2);
  })));
  it('hides the floating label if no value is entered', /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regenerator["default"].mark(function _callee3() {
    var label, labelled;
    return _regenerator["default"].wrap(function _callee3$(_context3) {
      while (1) {
        switch (_context3.prev = _context3.next) {
          case 0:
            label = 'Email';
            labelled = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react["default"].createElement(_Labelled.Labelled, Object.assign({}, defaultProps, {
              label: label
            })));
            expect(labelled).toProvideReactContext(_context9.LabelledContext, expect.objectContaining({
              isFloating: false
            }));

          case 3:
          case "end":
            return _context3.stop();
        }
      }
    }, _callee3);
  })));
  it('renders a floating label once a value is entered', /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regenerator["default"].mark(function _callee4() {
    var label, labelled;
    return _regenerator["default"].wrap(function _callee4$(_context4) {
      while (1) {
        switch (_context4.prev = _context4.next) {
          case 0:
            label = 'Email';
            labelled = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react["default"].createElement(_Labelled.Labelled, Object.assign({}, defaultProps, {
              label: label
            }), /*#__PURE__*/_react["default"].createElement(Child, null)));
            labelled.act(function () {
              var _labelled$find;

              (_labelled$find = labelled.find('input')) === null || _labelled$find === void 0 ? void 0 : _labelled$find.trigger('oninput', {
                target: {
                  value: 'snowdevil@shopify.com'
                }
              });
            });
            expect(labelled).toProvideReactContext(_context9.LabelledContext, expect.objectContaining({
              isFloating: true
            }));

          case 4:
          case "end":
            return _context4.stop();
        }
      }
    }, _callee4);
  })));
  it('displays a floating label once a value is entered and removed', /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regenerator["default"].mark(function _callee5() {
    var label, labelled;
    return _regenerator["default"].wrap(function _callee5$(_context5) {
      while (1) {
        switch (_context5.prev = _context5.next) {
          case 0:
            label = 'Email';
            labelled = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react["default"].createElement(_Labelled.Labelled, Object.assign({}, defaultProps, {
              label: label
            }), /*#__PURE__*/_react["default"].createElement(Child, null))); // Enter value

            labelled.act(function () {
              var _labelled$find2;

              (_labelled$find2 = labelled.find('input')) === null || _labelled$find2 === void 0 ? void 0 : _labelled$find2.trigger('oninput', {
                target: {
                  value: 'snowdevil@shopify.com'
                }
              });
            }); // Remove value

            labelled.act(function () {
              var _labelled$find3;

              (_labelled$find3 = labelled.find('input')) === null || _labelled$find3 === void 0 ? void 0 : _labelled$find3.trigger('oninput', {
                target: {
                  value: ''
                }
              });
            });
            expect(labelled).toProvideReactContext(_context9.LabelledContext, expect.objectContaining({
              isFloating: true
            }));

          case 5:
          case "end":
            return _context5.stop();
        }
      }
    }, _callee5);
  })));
  it('hides a floating label once a value is entered, removed and focus is lost', /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regenerator["default"].mark(function _callee6() {
    var label, labelled;
    return _regenerator["default"].wrap(function _callee6$(_context6) {
      while (1) {
        switch (_context6.prev = _context6.next) {
          case 0:
            label = 'Email';
            labelled = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react["default"].createElement(_Labelled.Labelled, Object.assign({}, defaultProps, {
              label: label
            }), /*#__PURE__*/_react["default"].createElement(Child, null))); // Enter value

            labelled.act(function () {
              var _labelled$find4;

              (_labelled$find4 = labelled.find('input')) === null || _labelled$find4 === void 0 ? void 0 : _labelled$find4.trigger('oninput', {
                target: {
                  value: 'snowdevil@shopify.com'
                }
              });
            }); // Remove value

            labelled.act(function () {
              var _labelled$find5;

              (_labelled$find5 = labelled.find('input')) === null || _labelled$find5 === void 0 ? void 0 : _labelled$find5.trigger('oninput', {
                target: {
                  value: ''
                }
              });
            }); // Lose focus

            labelled.act(function () {
              var _labelled$find6;

              (_labelled$find6 = labelled.find('input')) === null || _labelled$find6 === void 0 ? void 0 : _labelled$find6.trigger('onBlur', {
                target: {
                  value: ''
                }
              });
            });
            expect(labelled).toProvideReactContext(_context9.LabelledContext, expect.objectContaining({
              isFloating: false
            }));

          case 6:
          case "end":
            return _context6.stop();
        }
      }
    }, _callee6);
  })));
  it('displays a floating label once a value is entered and focus is lost', /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regenerator["default"].mark(function _callee7() {
    var label, labelled;
    return _regenerator["default"].wrap(function _callee7$(_context7) {
      while (1) {
        switch (_context7.prev = _context7.next) {
          case 0:
            label = 'Email';
            labelled = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react["default"].createElement(_Labelled.Labelled, Object.assign({}, defaultProps, {
              label: label
            }), /*#__PURE__*/_react["default"].createElement(Child, null))); // Enter value

            labelled.act(function () {
              var _labelled$find7;

              (_labelled$find7 = labelled.find('input')) === null || _labelled$find7 === void 0 ? void 0 : _labelled$find7.trigger('oninput', {
                target: {
                  value: 'snowdevil@shopify.com'
                }
              });
            }); // Lose focus

            labelled.act(function () {
              var _labelled$find8;

              (_labelled$find8 = labelled.find('input')) === null || _labelled$find8 === void 0 ? void 0 : _labelled$find8.trigger('onBlur', {
                target: {
                  value: ''
                }
              });
            });
            expect(labelled).toProvideReactContext(_context9.LabelledContext, expect.objectContaining({
              isFloating: true
            }));

          case 5:
          case "end":
            return _context7.stop();
        }
      }
    }, _callee7);
  }))); // eslint-disable-next-line jest/no-disabled-tests

  it.skip('displays a floating label if the field is initially empty but its value gets updated', /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regenerator["default"].mark(function _callee8() {
    var asynchValue, labelled;
    return _regenerator["default"].wrap(function _callee8$(_context8) {
      while (1) {
        switch (_context8.prev = _context8.next) {
          case 0:
            asynchValue = '150 Elgin';
            labelled = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react["default"].createElement(_Labelled.Labelled, defaultProps, /*#__PURE__*/_react["default"].createElement(Child, {
              value: ""
            }))); // TODO - Failing test, review how we want to test children with async values. Recent Preact changes skip setProperty for children and key props
            // might be the culprit of this specific behaviour. https://github.com/preactjs/preact/pull/2213

            labelled.act(function () {
              labelled.setProps({
                isEmpty: false,
                children: /*#__PURE__*/_react["default"].createElement(Child, {
                  value: asynchValue
                })
              });
            });
            expect(labelled).toContainReactComponent('input', {
              value: asynchValue
            });
            expect(labelled).toProvideReactContext(_context9.LabelledContext, expect.objectContaining({
              isFloating: true
            }));

          case 5:
          case "end":
            return _context8.stop();
        }
      }
    }, _callee8);
  })));
});

function Child(_ref9) {
  var value = _ref9.value;

  var _useLabelled = (0, _hook.useLabelled)(),
      onBlur = _useLabelled.onBlur,
      _onChange = _useLabelled.onChange,
      onFocus = _useLabelled.onFocus;

  return /*#__PURE__*/_react["default"].createElement("input", {
    value: value,
    onBlur: onBlur,
    onChange: function onChange(_ref10) {
      var target = _ref10.target;

      _onChange(!target.value || target.value === '');
    },
    onFocus: onFocus
  });
}