"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.closed = exports.focusTrap = exports["long"] = exports.iframeWithTitle = exports.iframe = exports.blocking = exports.longTitle = exports.title = exports.longText = exports.text = exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _faker = _interopRequireDefault(require("faker"));

var _storybookUtilities = require("../../storybook-utilities");

var _Text = require("../Text");

var _Button = require("../Button");

var _InlineStack = require("../InlineStack");

var _BlockStack = require("../BlockStack");

var _Modal = require("./Modal");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var meta = {
  component: _Modal.Modal,
  title: 'Modal',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('headingLevel1')]
};
var _default = meta;
exports["default"] = _default;

var text = function text() {
  return /*#__PURE__*/_react["default"].createElement(_Modal.Modal, {
    open: true
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, _faker["default"].lorem.paragraphs(1)));
};

exports.text = text;

var longText = function longText() {
  return /*#__PURE__*/_react["default"].createElement(_Modal.Modal, {
    open: true
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, _faker["default"].lorem.paragraphs(100)));
};

exports.longText = longText;

var title = function title() {
  return /*#__PURE__*/_react["default"].createElement(_Modal.Modal, {
    title: _faker["default"].random.words(3),
    open: true
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, _faker["default"].lorem.paragraphs(1)));
};

exports.title = title;

var longTitle = function longTitle() {
  return /*#__PURE__*/_react["default"].createElement(_Modal.Modal, {
    title: _faker["default"].random.words(8),
    open: true
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, _faker["default"].lorem.paragraphs(1)));
};

exports.longTitle = longTitle;

var blocking = function blocking() {
  return /*#__PURE__*/_react["default"].createElement(_Modal.Modal, {
    title: _faker["default"].random.words(2),
    blocking: true,
    open: true
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, _faker["default"].lorem.paragraphs(1)));
};

exports.blocking = blocking;

var iframe = function iframe() {
  return /*#__PURE__*/_react["default"].createElement(_Modal.Modal, {
    src: "https://www.example.com/",
    open: true
  });
};

exports.iframe = iframe;

var iframeWithTitle = function iframeWithTitle() {
  return /*#__PURE__*/_react["default"].createElement(_Modal.Modal, {
    src: "http://www.example.com/",
    title: _faker["default"].random.words(3),
    open: true
  });
};

exports.iframeWithTitle = iframeWithTitle;

var _long = function _long() {
  return /*#__PURE__*/_react["default"].createElement(_Modal.Modal, {
    src: "http://www.example.com/",
    open: true,
    "long": true
  });
};

exports["long"] = _long;

var focusTrap = function focusTrap() {
  return /*#__PURE__*/_react["default"].createElement(_Modal.Modal, {
    title: _faker["default"].random.words(3),
    open: true
  }, /*#__PURE__*/_react["default"].createElement(_BlockStack.BlockStack, null, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, _faker["default"].lorem.paragraphs(1)), /*#__PURE__*/_react["default"].createElement(_InlineStack.InlineStack, null, /*#__PURE__*/_react["default"].createElement(_Button.Button, {
    subdued: true
  }, "You"), /*#__PURE__*/_react["default"].createElement(_Button.Button, {
    subdued: true
  }, "are"), /*#__PURE__*/_react["default"].createElement(_Button.Button, {
    subdued: true
  }, "trapped"))));
};

exports.focusTrap = focusTrap;

var Closed = function Closed() {
  var _useState = (0, _react.useState)(false),
      _useState2 = _slicedToArray(_useState, 2),
      open = _useState2[0],
      setOpen = _useState2[1];

  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_Button.Button, {
    onPress: function onPress() {
      return setOpen(true);
    }
  }, "Show modal"), /*#__PURE__*/_react["default"].createElement(_Modal.Modal, {
    title: _faker["default"].random.words(3),
    open: open,
    onClose: function onClose() {
      return setOpen(false);
    }
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, _faker["default"].lorem.paragraphs(1))));
};

var closed = function closed() {
  return /*#__PURE__*/_react["default"].createElement(Closed, null);
};

exports.closed = closed;