"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Popover = Popover;

var _cssUtilities = require("@shopify/css-utilities");

var _react = _interopRequireWildcard(require("react"));

var _units = require("../../utilities/units");

var _Popper = require("../Popper");

var _Popover = _interopRequireDefault(require("./Popover.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function Popover(_ref) {
  var children = _ref.children,
      activator = _ref.activator,
      openProp = _ref.open,
      onClose = _ref.onClose,
      offset = _ref.offset,
      _ref$placement = _ref.placement,
      placement = _ref$placement === void 0 ? 'inlineEnd' : _ref$placement;

  var _useState = (0, _react.useState)(openProp),
      _useState2 = _slicedToArray(_useState, 2),
      open = _useState2[0],
      setOpen = _useState2[1];

  (0, _react.useEffect)(function () {
    setOpen(openProp);
  }, [openProp]);
  var handleClose = (0, _react.useCallback)(function () {
    setOpen(false);

    if (activator instanceof HTMLElement) {
      activator.focus();
    }

    onClose === null || onClose === void 0 ? void 0 : onClose();
  }, [activator, onClose]);
  var popoverClassName = (0, _cssUtilities.classNames)(_Popover["default"].Popover, _Popover["default"][(0, _cssUtilities.variationName)('Popover-placement', placement)]);
  var contentClassName = (0, _cssUtilities.classNames)(_Popover["default"].Content, _Popover["default"][(0, _cssUtilities.variationName)('Content-placement', placement)]);
  var popoverStyle = {
    '--popover-offset': offset ? (0, _units.rem)(offset) : undefined
    /* stylelint-disable-line value-keyword-case */

  };
  return open ? /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_Popper.Popper, {
    activator: activator,
    placement: placement,
    offset: 15
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: popoverClassName,
    style: popoverStyle
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: contentClassName
  }, children))), /*#__PURE__*/_react["default"].createElement("div", {
    className: _Popover["default"].Overlay,
    onClick: handleClose
  })) : null;
}