"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.inputActivator = exports.blockWithOffset = exports.inlineWithOffset = exports.blockEnd = exports.blockStart = exports.inlineEnd = exports.inlineStart = exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _Text = require("../Text");

var _storybookUtilities = require("../../storybook-utilities");

var _Button = require("../Button");

var _TextField = require("../TextField");

var _Popover = require("./Popover");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var meta = {
  component: _Popover.Popover,
  title: 'Popover',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('primaryButton', 'secondaryButton')]
};
var _default = meta;
exports["default"] = _default;

var Content = function Content(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      position: 'absolute',
      top: 0,
      bottom: 0,
      left: 0,
      right: 0,
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center',
      justifyContent: 'center'
    }
  }, children);
};

var StoryPopover = function StoryPopover(_ref2) {
  var _activatorRef$current;

  var placement = _ref2.placement,
      offset = _ref2.offset;
  var activatorRef = (0, _react.useRef)();

  var _useState = (0, _react.useState)(false),
      _useState2 = _slicedToArray(_useState, 2),
      open = _useState2[0],
      setOpen = _useState2[1];

  return /*#__PURE__*/_react["default"].createElement(Content, null, /*#__PURE__*/_react["default"].createElement(_Button.Button, {
    ref: activatorRef,
    onPress: function onPress() {
      return setOpen(true);
    }
  }, "Click me"), /*#__PURE__*/_react["default"].createElement(_Popover.Popover, {
    activator: (_activatorRef$current = activatorRef.current) !== null && _activatorRef$current !== void 0 ? _activatorRef$current : null,
    open: open,
    onClose: function onClose() {
      setOpen(false);
    },
    placement: placement,
    offset: offset
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Hello world!")));
};

var inlineStart = function inlineStart() {
  return /*#__PURE__*/_react["default"].createElement(StoryPopover, {
    placement: "inlineStart"
  });
};

exports.inlineStart = inlineStart;

var inlineEnd = function inlineEnd() {
  return /*#__PURE__*/_react["default"].createElement(StoryPopover, {
    placement: "inlineEnd"
  });
};

exports.inlineEnd = inlineEnd;

var blockStart = function blockStart() {
  return /*#__PURE__*/_react["default"].createElement(StoryPopover, {
    placement: "blockStart"
  });
};

exports.blockStart = blockStart;

var blockEnd = function blockEnd() {
  return /*#__PURE__*/_react["default"].createElement(StoryPopover, {
    placement: "blockEnd"
  });
};

exports.blockEnd = blockEnd;

var inlineWithOffset = function inlineWithOffset() {
  return /*#__PURE__*/_react["default"].createElement(StoryPopover, {
    offset: 10
  });
};

exports.inlineWithOffset = inlineWithOffset;

var blockWithOffset = function blockWithOffset() {
  return /*#__PURE__*/_react["default"].createElement(StoryPopover, {
    placement: "blockStart",
    offset: 10
  });
};

exports.blockWithOffset = blockWithOffset;

function InputAsActivator() {
  var _activatorRef$current2;

  var activatorRef = (0, _react.useRef)();

  var _useState3 = (0, _react.useState)(false),
      _useState4 = _slicedToArray(_useState3, 2),
      open = _useState4[0],
      setOpen = _useState4[1];

  var handleChange = (0, _react.useCallback)(function () {
    setOpen(true);
  }, [setOpen]);
  return /*#__PURE__*/_react["default"].createElement(Content, null, /*#__PURE__*/_react["default"].createElement(_TextField.TextField, {
    onChange: handleChange,
    label: "Email",
    ref: activatorRef
  }), /*#__PURE__*/_react["default"].createElement(_Popover.Popover, {
    activator: (_activatorRef$current2 = activatorRef.current) !== null && _activatorRef$current2 !== void 0 ? _activatorRef$current2 : null,
    open: open,
    onClose: function onClose() {
      setOpen(false);
    }
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Hello world!")));
}

var inputActivator = function inputActivator() {
  return /*#__PURE__*/_react["default"].createElement(InputAsActivator, null);
};

exports.inputActivator = inputActivator;