"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProgressTracker = ProgressTracker;

var _react = _interopRequireWildcard(require("react"));

var _context = require("./context");

var _ProgressTracker = _interopRequireDefault(require("./ProgressTracker.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ProgressTracker(_ref) {
  var activeStep = _ref.activeStep,
      children = _ref.children;

  var stepIds = _react["default"].Children.toArray(children).map(function (child) {
    if ( /*#__PURE__*/_react["default"].isValidElement(child)) {
      return child.props.id;
    }
  });

  var contextValue = (0, _react.useMemo)(function () {
    return {
      steps: stepIds.reduce(function (steps, step, index) {
        steps[step] = {
          active: activeStep ? activeStep === step : index === 0,
          completed: stepIds.indexOf(activeStep) > stepIds.indexOf(step)
        };
        return steps;
      }, {})
    };
  }, [activeStep, stepIds]);
  return /*#__PURE__*/_react["default"].createElement(_context.ProgressTrackerContext.Provider, {
    value: contextValue
  }, /*#__PURE__*/_react["default"].createElement("ol", {
    className: _ProgressTracker["default"].ProgressTracker
  }, children));
}