"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProgressTrackerStep = ProgressTrackerStep;
exports.ProgressTrackerStepIcon = ProgressTrackerStepIcon;
exports.ProgressTrackerStepLabel = ProgressTrackerStepLabel;
exports.ProgressTrackerStepConnector = ProgressTrackerStepConnector;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Icon = require("../../../Icon");

var _TextBlock = require("../../../TextBlock");

var _VisuallyHidden = require("../../../VisuallyHidden");

var _hooks = require("../../hooks");

var _ProgressTrackerStep = _interopRequireDefault(require("./ProgressTrackerStep.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ProgressTrackerStep(_ref) {
  var children = _ref.children,
      description = _ref.description,
      icon = _ref.icon,
      iconAppearance = _ref.iconAppearance,
      id = _ref.id,
      label = _ref.label,
      state = _ref.state,
      _ref$stateHidden = _ref.stateHidden,
      stateHidden = _ref$stateHidden === void 0 ? true : _ref$stateHidden;

  var _useProgressTracker = (0, _hooks.useProgressTracker)(),
      steps = _useProgressTracker.steps;

  var first = Object.keys(steps).indexOf(id) === 0;
  var _steps$id = steps[id],
      active = _steps$id.active,
      completed = _steps$id.completed;
  var className = (0, _cssUtilities.classNames)(_ProgressTrackerStep["default"].ProgressTrackerStep, completed && _ProgressTrackerStep["default"].Completed);
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, !first && /*#__PURE__*/_react["default"].createElement(ProgressTrackerStepConnector, {
    active: active,
    completed: completed
  }), /*#__PURE__*/_react["default"].createElement("li", {
    className: className,
    "aria-current": active
  }, /*#__PURE__*/_react["default"].createElement(ProgressTrackerStepIcon, {
    active: active,
    completed: completed,
    source: icon,
    appearance: iconAppearance
  }), /*#__PURE__*/_react["default"].createElement(ProgressTrackerStepLabel, {
    active: active,
    completed: completed,
    description: description,
    label: label,
    state: state,
    stateHidden: stateHidden
  }), children));
}

function ProgressTrackerStepIcon(_ref2) {
  var active = _ref2.active,
      _ref2$appearance = _ref2.appearance,
      appearance = _ref2$appearance === void 0 ? 'info' : _ref2$appearance,
      source = _ref2.source,
      completed = _ref2.completed;
  var className = (0, _cssUtilities.classNames)(_ProgressTrackerStep["default"].ProgressTrackerStepIcon, active && _ProgressTrackerStep["default"].active, completed && _ProgressTrackerStep["default"].completed);
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: className
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    source: source,
    appearance: active || completed ? appearance : 'subdued',
    size: "large"
  }));
}

function ProgressTrackerStepLabel(_ref3) {
  var active = _ref3.active,
      completed = _ref3.completed,
      description = _ref3.description,
      label = _ref3.label,
      state = _ref3.state,
      stateHidden = _ref3.stateHidden;
  var className = (0, _cssUtilities.classNames)(_ProgressTrackerStep["default"].ProgressTrackerStepLabel, (active || completed) && _ProgressTrackerStep["default"].completed);
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("div", {
    className: className
  }, stateHidden ? /*#__PURE__*/_react["default"].createElement(_VisuallyHidden.VisuallyHidden, null, state) : /*#__PURE__*/_react["default"].createElement(_TextBlock.TextBlock, null, state), /*#__PURE__*/_react["default"].createElement(_TextBlock.TextBlock, {
    emphasized: active || completed
  }, label)), (active || completed) && description && /*#__PURE__*/_react["default"].createElement(_TextBlock.TextBlock, {
    size: "small",
    subdued: true
  }, description));
}

function ProgressTrackerStepConnector(_ref4) {
  var active = _ref4.active,
      completed = _ref4.completed;
  var className = (0, _cssUtilities.classNames)(_ProgressTrackerStep["default"].ProgressTrackerStepConnector, (active || completed) && _ProgressTrackerStep["default"].completed);
  return /*#__PURE__*/_react["default"].createElement("li", {
    className: className,
    "aria-hidden": true
  });
}