"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ResourceItemContent = ResourceItemContent;
exports.ResourceItem = ResourceItem;
exports.ResourceItemSeparator = ResourceItemSeparator;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _legacy = require("../../utilities/legacy");

var _VisuallyHidden = require("../VisuallyHidden");

var _ResourceItem = _interopRequireDefault(require("./ResourceItem.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ResourceItemContent(_ref) {
  var children = _ref.children,
      primary = _ref.primary,
      hidden = _ref.hidden;
  var className = (0, _cssUtilities.classNames)(_ResourceItem["default"].ResourceItemContent, primary && _ResourceItem["default"]['ResourceItemContent-isPrimary']);
  return /*#__PURE__*/_react["default"].createElement("div", {
    role: "cell",
    className: className
  }, hidden ? /*#__PURE__*/_react["default"].createElement(_VisuallyHidden.VisuallyHidden, null, children) : children);
}

function ResourceItem(_ref2) {
  var children = _ref2.children,
      background = _ref2.background,
      inlinePadding = _ref2.inlinePadding,
      blockPadding = _ref2.blockPadding;
  var className = (0, _cssUtilities.classNames)(_ResourceItem["default"].ResourceItem, _legacy.utilityDefaultBorderColor, background && _ResourceItem["default"][(0, _cssUtilities.variationName)('background', background)], inlinePadding && _ResourceItem["default"][(0, _cssUtilities.variationName)('inlinePadding', inlinePadding)], blockPadding && _ResourceItem["default"][(0, _cssUtilities.variationName)('blockPadding', blockPadding)]);
  return /*#__PURE__*/_react["default"].createElement("div", {
    role: "row",
    className: className
  }, children);
}

function ResourceItemSeparator(_ref3) {
  var borderStyle = _ref3.borderStyle,
      borderColor = _ref3.borderColor;
  var className = (0, _cssUtilities.classNames)(_ResourceItem["default"].ResourceItemSeparator, borderStyle && _ResourceItem["default"][(0, _cssUtilities.variationName)('ResourceItemSeparator-borderStyle', borderStyle)], borderColor && _ResourceItem["default"][(0, _cssUtilities.variationName)('ResourceItemSeparator-borderColor', borderColor)]);
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: className
  });
}