"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Stepper = Stepper;

var _react = _interopRequireWildcard(require("react"));

var _HiddenForAccessibility = require("../HiddenForAccessibility");

var _BlockStack = require("../BlockStack");

var _TextField = require("../TextField");

var _Labelled = require("../Labelled");

var _Connected = require("../Connected");

var _Button = require("../Button");

var _InlineError = require("../InlineError");

var _id = require("../../utilities/id");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var createId = (0, _id.createIdCreator)('StepperField');

function Stepper(_ref) {
  var label = _ref.label,
      error = _ref.error,
      name = _ref.name,
      _ref$min = _ref.min,
      min = _ref$min === void 0 ? 0 : _ref$min,
      max = _ref.max,
      value = _ref.value,
      _ref$step = _ref.step,
      step = _ref$step === void 0 ? 1 : _ref$step,
      explicitId = _ref.id,
      required = _ref.required,
      onChange = _ref.onChange,
      onBlur = _ref.onBlur,
      onFocus = _ref.onFocus;

  var _useState = (0, _react.useState)(value),
      _useState2 = _slicedToArray(_useState, 2),
      quantity = _useState2[0],
      setQuantity = _useState2[1];

  var id = (0, _id.useId)(explicitId, createId);

  var errorMarkup = error && /*#__PURE__*/_react["default"].createElement(_InlineError.InlineError, {
    controlID: id
  }, error);

  var handleChange = (0, _react.useCallback)(function (factor) {
    setQuantity(function (prevQuantity) {
      var normalizedMax = max === undefined ? Infinity : max;
      var normalizedMin = min === undefined ? -Infinity : min;
      var quantity = prevQuantity ? prevQuantity : 0;

      if (isNaN(quantity)) {
        return 0;
      } // Returns the length of decimal places in a number


      var decimalLength = function decimalLength(num) {
        return (num.toString().split('.')[1] || []).length;
      }; // Making sure the new value has the same length of decimal places as the
      // step / value has.


      var decimalPlaces = Math.max(decimalLength(quantity), decimalLength(step));
      var newQuantity = Math.min(Number(normalizedMax), Math.max(quantity + factor * step, Number(normalizedMin)));

      if (quantity !== newQuantity) {
        onChange === null || onChange === void 0 ? void 0 : onChange(newQuantity.toFixed(decimalPlaces));
      }

      return parseFloat(newQuantity.toFixed(decimalPlaces));
    });
  }, [onChange, step, max, min]);
  return /*#__PURE__*/_react["default"].createElement(_BlockStack.BlockStack, {
    spacing: "tight"
  }, /*#__PURE__*/_react["default"].createElement(_Connected.Connected, {
    trailing: "auto",
    leading: "auto"
  }, /*#__PURE__*/_react["default"].createElement(_HiddenForAccessibility.HiddenForAccessibility, null, /*#__PURE__*/_react["default"].createElement(_Button.Button, {
    onPress: function onPress() {
      return handleChange(-1);
    }
  }, "-")), /*#__PURE__*/_react["default"].createElement(_Labelled.Labelled, {
    label: label,
    htmlFor: id,
    isEmpty: quantity === undefined
  }, /*#__PURE__*/_react["default"].createElement(_TextField.Field, {
    type: "number",
    min: min,
    max: max,
    step: step,
    id: id,
    label: label,
    error: error,
    name: name,
    "aria-required": required,
    value: "".concat(quantity),
    required: required,
    onChange: function (_onChange) {
      function onChange(_x) {
        return _onChange.apply(this, arguments);
      }

      onChange.toString = function () {
        return _onChange.toString();
      };

      return onChange;
    }(function (value) {
      setQuantity(Number(value));

      if (onChange) {
        onChange(value);
      }
    }),
    onBlur: onBlur,
    onFocus: onFocus
  })), /*#__PURE__*/_react["default"].createElement(_HiddenForAccessibility.HiddenForAccessibility, null, /*#__PURE__*/_react["default"].createElement(_Button.Button, {
    onPress: function onPress() {
      return handleChange(1);
    }
  }, "+"))), errorMarkup);
}