"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WebFonts = WebFonts;
exports.MaybeWebFonts = MaybeWebFonts;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _react = _interopRequireWildcard(require("react"));

var _hooks = require("../../hooks");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

function WebFonts(_ref) {
  var children = _ref.children;

  var _useThemeConfiguratio = (0, _hooks.useThemeConfiguration)(),
      typographyPrimary = _useThemeConfiguratio.typographyPrimary,
      typographySecondary = _useThemeConfiguratio.typographySecondary;

  (0, _react.useEffect)(function () {
    var fonts = [typographyPrimary, typographySecondary].map(function (typography) {
      return [{
        fonts: typography.fonts,
        source: typography.sourceBase,
        weight: typography.weightBase
      }, {
        fonts: typography.fonts,
        source: typography.sourceBold,
        weight: typography.weightBold
      }];
    }).reduce(function (fonts, typography) {
      return fonts.concat(typography);
    }, []).filter(function (font) {
      return font.fonts !== undefined && font.source !== undefined;
    }).map(function (_ref2) {
      var fonts = _ref2.fonts,
          source = _ref2.source,
          weight = _ref2.weight;
      return new FontFace(fonts, source, {
        weight: weight
      });
    });

    function loadFonts() {
      return _loadFonts.apply(this, arguments);
    }

    function _loadFonts() {
      _loadFonts = _asyncToGenerator( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
        return _regenerator["default"].wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _context.next = 2;
                return Promise.all(fonts).then(function (loadedFonts) {
                  loadedFonts.forEach(function (font) {
                    document.fonts.add(font);
                  });
                });

              case 2:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));
      return _loadFonts.apply(this, arguments);
    }

    loadFonts();
  }, [typographyPrimary, typographySecondary]);
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, children);
}

function MaybeWebFonts(_ref3) {
  var children = _ref3.children,
      condition = _ref3.condition;
  return condition ? /*#__PURE__*/_react["default"].createElement(WebFonts, null, children) : /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, children);
}