"use strict";

var _react = _interopRequireDefault(require("react"));

var _testUtilities = require("../test-utilities");

var _focusTrap = require("./focusTrap");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

jest.useFakeTimers();
describe('useFocusTrap', function () {
  var rawCreateElement = document.createElement;
  var focusSpy = jest.fn();
  var createElementSpy = jest.spyOn(document, 'createElement');
  beforeEach(function () {
    createElementSpy.mockImplementation(function () {
      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      var result = rawCreateElement.apply(document, args);

      if (args[0].toLocaleLowerCase() === 'div') {
        result.focus = focusSpy;
      }

      return result;
    });
  });
  afterEach(function () {
    focusSpy.mockReset();
  });
  afterAll(function () {
    createElementSpy.mockRestore();
  });
  it('focuses the element attached to the reference', function () {
    function Component() {
      var ref = (0, _focusTrap.useFocusTrap)();
      return /*#__PURE__*/_react["default"].createElement("div", {
        ref: ref
      }, "Hello");
    }

    var component = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react["default"].createElement(Component, null));
    component.act(function () {
      jest.runAllTimers();
    });
    expect(focusSpy).toHaveBeenCalled();
  });
});