function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useState, useEffect, useRef } from 'react';
import { classNames, variationName } from '@shopify/css-utilities';
import { createIdCreator, useId } from '../../utilities/id';
import { useTranslate } from '../AppContext';
import { Heading } from '../Heading';
import { HeadingGroup } from '../HeadingGroup';
import { Bookend } from '../Bookend';
import { Icon } from '../Icon';
import { View } from '../View';
import { TextContainer } from '../TextContainer';
import styles from './Banner.css';
var createId = createIdCreator('Banner');
export function Banner(_ref) {
  var children = _ref.children,
      _ref$collapsible = _ref.collapsible,
      collapsible = _ref$collapsible === void 0 ? false : _ref$collapsible,
      _ref$iconHidden = _ref.iconHidden,
      iconHidden = _ref$iconHidden === void 0 ? false : _ref$iconHidden,
      _ref$status = _ref.status,
      status = _ref$status === void 0 ? 'info' : _ref$status,
      title = _ref.title,
      _ref$autofocus = _ref.autofocus,
      autofocus = _ref$autofocus === void 0 ? false : _ref$autofocus;
  var translate = useTranslate();

  var _useState = useState(true),
      _useState2 = _slicedToArray(_useState, 2),
      collapsed = _useState2[0],
      setCollapsed = _useState2[1];

  var bannerRef = useRef(null);
  useEffect(function () {
    if (autofocus === true) {
      var _bannerRef$current;

      bannerRef === null || bannerRef === void 0 ? void 0 : (_bannerRef$current = bannerRef.current) === null || _bannerRef$current === void 0 ? void 0 : _bannerRef$current.focus();
    }
  }, [autofocus]);
  var className = classNames(styles.Banner, status && styles[variationName('status', status)]);
  var id = useId(undefined, createId);
  var controlId = collapsed ? undefined : id;
  var showChildren = !collapsible || collapsible && !collapsed;
  return /*#__PURE__*/React.createElement("div", Object.assign({
    className: className,
    role: status === 'critical' ? 'alert' : 'status',
    "aria-atomic": "true",
    "aria-live": "polite"
  }, autofocus && {
    tabIndex: -1
  }, {
    ref: bannerRef
  }), /*#__PURE__*/React.createElement(Bookend, {
    leading: !iconHidden,
    trailing: collapsible
  }, !iconHidden && /*#__PURE__*/React.createElement("div", {
    className: styles.Icon
  }, /*#__PURE__*/React.createElement(Icon, {
    source: status
  })), /*#__PURE__*/React.createElement(TextContainer, {
    spacing: "tight"
  }, title && /*#__PURE__*/React.createElement(Heading, {
    level: 3
  }, title), children && showChildren && /*#__PURE__*/React.createElement("div", {
    className: styles.Content,
    id: controlId
  }, /*#__PURE__*/React.createElement(HeadingGroup, null, /*#__PURE__*/React.createElement(View, null, children)))), collapsible && /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement("button", {
    type: "button",
    className: styles.Button,
    onClick: function onClick() {
      return setCollapsed(function (collapsed) {
        return !collapsed;
      });
    },
    "aria-pressed": !collapsed,
    "aria-expanded": !collapsed,
    "aria-controls": controlId
  }, /*#__PURE__*/React.createElement(Icon, {
    size: "small",
    source: collapsed ? 'chevronDown' : 'chevronUp',
    accessibilityLabel: translate('expand')
  })))));
}