/* eslint-disable jsx-a11y/no-redundant-roles */
import React from 'react';
import { Icon } from '../Icon';
import { Text } from '../Text';
import { useThemeConfiguration } from '../Theme';
import { Link } from '..';
import styles from './Breadcrumbs.css';
var NUMBER_STYLE_MAP = {
  none: function none() {
    return null;
  },
  decimal: function decimal(index) {
    return /*#__PURE__*/React.createElement(Marker, null, index.toString());
  },
  decimalLeadingZero: function decimalLeadingZero(index) {
    return /*#__PURE__*/React.createElement(Marker, null, index.toString().padStart(2, '0'));
  }
};
export function Breadcrumbs(_ref) {
  var active = _ref.active,
      breadcrumbs = _ref.breadcrumbs;

  var _useThemeConfiguratio = useThemeConfiguration(),
      _useThemeConfiguratio2 = _useThemeConfiguratio.buyerJourney,
      _useThemeConfiguratio3 = _useThemeConfiguratio2.numberStyle,
      numberStyle = _useThemeConfiguratio3 === void 0 ? 'none' : _useThemeConfiguratio3,
      _useThemeConfiguratio4 = _useThemeConfiguratio2.chevronIconSeparator,
      chevronIconSeparator = _useThemeConfiguratio4 === void 0 ? true : _useThemeConfiguratio4,
      typographyStyle = _useThemeConfiguratio2.typographyStyle;

  return (
    /*#__PURE__*/
    // eslint-disable-next-line @shopify/jsx-no-hardcoded-content
    React.createElement("nav", {
      "aria-label": "Breadcrumbs"
    }, /*#__PURE__*/React.createElement("ol", {
      className: styles.Breadcrumbs,
      role: "list"
    }, breadcrumbs.map(function (_ref2, index) {
      var id = _ref2.id,
          to = _ref2.to,
          disabled = _ref2.disabled,
          content = _ref2.content;
      var showSeparator = breadcrumbs.length !== index + 1;
      var isActive = active === id;
      var isClickable = !isActive && !disabled;
      var ariaCurrent = isActive ? 'step' : false;
      var marker = NUMBER_STYLE_MAP[numberStyle](index + 1);
      var breadcrumbContent = isClickable ? /*#__PURE__*/React.createElement(Text, {
        size: "small",
        style: typographyStyle
      }, /*#__PURE__*/React.createElement(Link, {
        to: to
      }, marker, content)) : /*#__PURE__*/React.createElement(Text, {
        emphasized: isActive,
        subdued: !isActive,
        size: "small",
        style: typographyStyle
      }, marker, content);
      return /*#__PURE__*/React.createElement("li", {
        className: styles.Item,
        key: id,
        "aria-current": ariaCurrent
      }, breadcrumbContent, showSeparator && /*#__PURE__*/React.createElement("span", {
        className: styles.Separator
      }, chevronIconSeparator && /*#__PURE__*/React.createElement(Icon, {
        source: "chevronRight",
        size: "small",
        appearance: "subdued"
      })));
    })))
  );
}
export function Marker(_ref3) {
  var children = _ref3.children;
  return /*#__PURE__*/React.createElement("span", {
    className: styles.Marker
  }, children);
}