import React from 'react';
import { mount } from '@quilted/react-testing/dom';
import { FlagIcon } from './FlagIcon';
describe('<FlagIcon />', function () {
  it('renders an <img>', function () {
    var flagIcon = mount( /*#__PURE__*/React.createElement(FlagIcon, {
      countryCode: "ca"
    }));
    expect(flagIcon).toContainReactComponent('img');
  });
  it('sets src and an alt attributes', function () {
    var flagIcon = mount( /*#__PURE__*/React.createElement(FlagIcon, {
      countryCode: "ca",
      accessibilityLabel: "Canada"
    }));
    expect(flagIcon).toContainReactComponent('img', {
      src: 'ca.svg',
      alt: 'Canada'
    });
  });
});