import React from 'react';
import { withKnobs } from '@storybook/addon-knobs';
import { themeWithKnobs } from '../../storybook-utilities';
import { TextField } from '../TextField';
import { Select } from '../Select';
import { FormLayout, FormLayoutGroup } from './FormLayout';
var meta = {
  title: 'FormLayout',
  component: FormLayout,
  decorators: [withKnobs, themeWithKnobs('formLayout', 'textFields', 'select')]
};
export default meta;
export var defaultState = function defaultState() {
  var selectCountryProps = {
    id: 'select',
    name: 'country',
    label: 'Country',
    options: [{
      value: 'CA',
      label: 'Canada'
    }, {
      value: 'US',
      label: 'United States'
    }, {
      value: 'UK',
      label: 'United Kingdom'
    }]
  };
  var selectProvinceProps = {
    id: 'select',
    name: 'province',
    label: 'Province',
    options: [{
      value: 'QC',
      label: 'Quebec'
    }, {
      value: 'ON',
      label: 'Ontario'
    }, {
      value: 'PEI',
      label: 'Prince Edward Island'
    }]
  };
  return /*#__PURE__*/React.createElement(FormLayout, null, /*#__PURE__*/React.createElement(FormLayoutGroup, null, /*#__PURE__*/React.createElement(Select, selectCountryProps), /*#__PURE__*/React.createElement(Select, selectProvinceProps)), /*#__PURE__*/React.createElement(TextField, {
    label: "Address",
    name: "address1",
    id: "address1"
  }), /*#__PURE__*/React.createElement(TextField, {
    label: "Apartment, suite, etc.",
    name: "address2",
    id: "address2"
  }));
};