import React from 'react';

/**
 * FormattedText replaces new line characters with HTML line breaks (`<br />`).
 * Use this component when you want to render text created by an editor or a `<textarea>`.
 *
 * Note: this component will eventually grow to support more use cases like basic HTML tags.
 */
export function FormattedText(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === void 0 ? '' : _ref$children;
  return /*#__PURE__*/React.createElement(React.Fragment, null, children.split('\n').filter(Boolean).map(function (content, index) {
    return /*#__PURE__*/React.createElement(React.Fragment, null, index > 0 && /*#__PURE__*/React.createElement("br", null), content);
  }));
}