import React from 'react';
import { mount } from '@quilted/react-testing/dom';
import { FormattedText } from './FormattedText';
describe('<FormattedText />', function () {
  describe('content', function () {
    it('renders its content', function () {
      var content = 'Snowdevil';
      var formatted = mount( /*#__PURE__*/React.createElement(FormattedText, null, content));
      expect(formatted).toContainReactText(content);
    });
    it('replaces new line characters by <br>s', function () {
      var content = '490 Rue De La Gauchetiere O,\nMontreal,\nQC\nH2Z 0B3';
      var formatted = mount( /*#__PURE__*/React.createElement(FormattedText, null, content));
      expect(formatted).toContainReactHtml('490 Rue De La Gauchetiere O,<br>Montreal,<br>QC<br>H2Z 0B3');
    });
  });
});