import React from 'react';
import { classNames, variationName } from '@shopify/css-utilities';
import { InlineStack } from '../InlineStack';
import { Text } from '../Text';
import { useThemeConfiguration } from '../Theme';
import { MoneyLineSeparator } from '../MoneyLine';
import styles from './MoneySummary.css';
export function MoneySummary(_ref) {
  var label = _ref.label,
      value = _ref.value,
      prefix = _ref.prefix,
      children = _ref.children;

  var _useThemeConfiguratio = useThemeConfiguration(),
      inlineAlignment = _useThemeConfiguratio.moneyLines.inlineAlignment,
      _useThemeConfiguratio2 = _useThemeConfiguratio.moneySummary,
      background = _useThemeConfiguratio2.background,
      _useThemeConfiguratio3 = _useThemeConfiguratio2.currencyCode,
      currencyCode = _useThemeConfiguratio3 === void 0 ? true : _useThemeConfiguratio3,
      _useThemeConfiguratio4 = _useThemeConfiguratio2.separator,
      separator = _useThemeConfiguratio4 === void 0 ? true : _useThemeConfiguratio4,
      labelTypographyStyle = _useThemeConfiguratio2.labelTypographyStyle,
      currencyTypographyStyle = _useThemeConfiguratio2.currencyTypographyStyle,
      valueTypographyStyle = _useThemeConfiguratio2.valueTypographyStyle;

  var className = classNames(styles.MoneySummary, background && styles[variationName('background', background)], inlineAlignment && styles[variationName('inlineAlignment', inlineAlignment)]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, separator && /*#__PURE__*/React.createElement(MoneyLineSeparator, null), /*#__PURE__*/React.createElement("div", {
    className: className,
    role: "row"
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.Label,
    role: "rowheader"
  }, /*#__PURE__*/React.createElement(Text, {
    size: "medium",
    style: labelTypographyStyle
  }, label), children), /*#__PURE__*/React.createElement("div", {
    className: styles.Value,
    role: "cell"
  }, /*#__PURE__*/React.createElement(InlineStack, {
    alignment: "baseline",
    spacing: "tight"
  }, currencyCode && /*#__PURE__*/React.createElement(Text, {
    role: {
      type: 'abbreviation'
    },
    size: "small",
    subdued: true,
    style: currencyTypographyStyle
  }, prefix), /*#__PURE__*/React.createElement(Text, {
    emphasized: true,
    size: "xlarge",
    style: valueTypographyStyle
  }, value)))));
}