function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import { classNames, variationName } from '@shopify/css-utilities';
/* eslint-disable jsx-a11y/click-events-have-key-events */

import React, { useCallback, useEffect, useState } from 'react';
import { rem } from '../../utilities/units';
import { Popper } from '../Popper';
import styles from './Popover.css';
export function Popover(_ref) {
  var children = _ref.children,
      activator = _ref.activator,
      openProp = _ref.open,
      onClose = _ref.onClose,
      offset = _ref.offset,
      _ref$placement = _ref.placement,
      placement = _ref$placement === void 0 ? 'inlineEnd' : _ref$placement;

  var _useState = useState(openProp),
      _useState2 = _slicedToArray(_useState, 2),
      open = _useState2[0],
      setOpen = _useState2[1];

  useEffect(function () {
    setOpen(openProp);
  }, [openProp]);
  var handleClose = useCallback(function () {
    setOpen(false);

    if (activator instanceof HTMLElement) {
      activator.focus();
    }

    onClose === null || onClose === void 0 ? void 0 : onClose();
  }, [activator, onClose]);
  var popoverClassName = classNames(styles.Popover, styles[variationName('Popover-placement', placement)]);
  var contentClassName = classNames(styles.Content, styles[variationName('Content-placement', placement)]);
  var popoverStyle = {
    '--popover-offset': offset ? rem(offset) : undefined
    /* stylelint-disable-line value-keyword-case */

  };
  return open ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Popper, {
    activator: activator,
    placement: placement,
    offset: 15
  }, /*#__PURE__*/React.createElement("div", {
    className: popoverClassName,
    style: popoverStyle
  }, /*#__PURE__*/React.createElement("div", {
    className: contentClassName
  }, children))), /*#__PURE__*/React.createElement("div", {
    className: styles.Overlay,
    onClick: handleClose
  })) : null;
}