function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useState, useRef, useCallback } from 'react';
import { withKnobs } from '@storybook/addon-knobs';
import { Text } from '../Text';
import { themeWithKnobs } from '../../storybook-utilities';
import { Button } from '../Button';
import { TextField } from '../TextField';
import { Popover } from './Popover';
var meta = {
  component: Popover,
  title: 'Popover',
  decorators: [withKnobs, themeWithKnobs('primaryButton', 'secondaryButton')]
};
export default meta;

var Content = function Content(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React.createElement("div", {
    style: {
      position: 'absolute',
      top: 0,
      bottom: 0,
      left: 0,
      right: 0,
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center',
      justifyContent: 'center'
    }
  }, children);
};

var StoryPopover = function StoryPopover(_ref2) {
  var _activatorRef$current;

  var placement = _ref2.placement,
      offset = _ref2.offset;
  var activatorRef = useRef();

  var _useState = useState(false),
      _useState2 = _slicedToArray(_useState, 2),
      open = _useState2[0],
      setOpen = _useState2[1];

  return /*#__PURE__*/React.createElement(Content, null, /*#__PURE__*/React.createElement(Button, {
    ref: activatorRef,
    onPress: function onPress() {
      return setOpen(true);
    }
  }, "Click me"), /*#__PURE__*/React.createElement(Popover, {
    activator: (_activatorRef$current = activatorRef.current) !== null && _activatorRef$current !== void 0 ? _activatorRef$current : null,
    open: open,
    onClose: function onClose() {
      setOpen(false);
    },
    placement: placement,
    offset: offset
  }, /*#__PURE__*/React.createElement(Text, null, "Hello world!")));
};

export var inlineStart = function inlineStart() {
  return /*#__PURE__*/React.createElement(StoryPopover, {
    placement: "inlineStart"
  });
};
export var inlineEnd = function inlineEnd() {
  return /*#__PURE__*/React.createElement(StoryPopover, {
    placement: "inlineEnd"
  });
};
export var blockStart = function blockStart() {
  return /*#__PURE__*/React.createElement(StoryPopover, {
    placement: "blockStart"
  });
};
export var blockEnd = function blockEnd() {
  return /*#__PURE__*/React.createElement(StoryPopover, {
    placement: "blockEnd"
  });
};
export var inlineWithOffset = function inlineWithOffset() {
  return /*#__PURE__*/React.createElement(StoryPopover, {
    offset: 10
  });
};
export var blockWithOffset = function blockWithOffset() {
  return /*#__PURE__*/React.createElement(StoryPopover, {
    placement: "blockStart",
    offset: 10
  });
};

function InputAsActivator() {
  var _activatorRef$current2;

  var activatorRef = useRef();

  var _useState3 = useState(false),
      _useState4 = _slicedToArray(_useState3, 2),
      open = _useState4[0],
      setOpen = _useState4[1];

  var handleChange = useCallback(function () {
    setOpen(true);
  }, [setOpen]);
  return /*#__PURE__*/React.createElement(Content, null, /*#__PURE__*/React.createElement(TextField, {
    onChange: handleChange,
    label: "Email",
    ref: activatorRef
  }), /*#__PURE__*/React.createElement(Popover, {
    activator: (_activatorRef$current2 = activatorRef.current) !== null && _activatorRef$current2 !== void 0 ? _activatorRef$current2 : null,
    open: open,
    onClose: function onClose() {
      setOpen(false);
    }
  }, /*#__PURE__*/React.createElement(Text, null, "Hello world!")));
}

export var inputActivator = function inputActivator() {
  return /*#__PURE__*/React.createElement(InputAsActivator, null);
};