function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useState } from 'react';
import { InlineStack } from '../InlineStack';
import { Popper } from './Popper';
var meta = {
  component: Popper,
  title: 'Popper',
  decorators: [function (story) {
    return /*#__PURE__*/React.createElement("div", {
      style: {
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        height: '100vh'
      }
    }, story());
  }]
};
export default meta;

var Content = function Content(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React.createElement("div", {
    style: {
      border: '1px solid red',
      padding: 10
    }
  }, children);
};

var WithPlacement = function WithPlacement() {
  var _useState = useState(null),
      _useState2 = _slicedToArray(_useState, 2),
      referenceElement = _useState2[0],
      setReferenceElement = _useState2[1];

  var _useState3 = useState('blockStart'),
      _useState4 = _slicedToArray(_useState3, 2),
      placement = _useState4[0],
      setPlacement = _useState4[1];

  var handleClick = function handleClick(placement) {
    return function (event) {
      setReferenceElement(event.currentTarget);
      setPlacement(placement);
    };
  };

  return /*#__PURE__*/React.createElement(React.Fragment, null, referenceElement && placement && /*#__PURE__*/React.createElement(Popper, {
    activator: referenceElement,
    placement: placement
  }, /*#__PURE__*/React.createElement(Content, null, "Popper")), /*#__PURE__*/React.createElement(InlineStack, null, /*#__PURE__*/React.createElement("button", {
    onClick: handleClick('blockStart')
  }, "blockStart"), /*#__PURE__*/React.createElement("button", {
    onClick: handleClick('blockEnd')
  }, "blockEnd"), /*#__PURE__*/React.createElement("button", {
    onClick: handleClick('inlineStart')
  }, "inlineStart"), /*#__PURE__*/React.createElement("button", {
    onClick: handleClick('inlineEnd')
  }, "inlineEnd")));
};

var WithSameInlineSize = function WithSameInlineSize() {
  var _useState5 = useState(null),
      _useState6 = _slicedToArray(_useState5, 2),
      referenceElement = _useState6[0],
      setReferenceElement = _useState6[1];

  var handleClick = function handleClick(event) {
    setReferenceElement(event.currentTarget);
  };

  return /*#__PURE__*/React.createElement(React.Fragment, null, referenceElement && placement && /*#__PURE__*/React.createElement(Popper, {
    activator: referenceElement,
    placement: "blockStart",
    sameInlineSize: true
  }, /*#__PURE__*/React.createElement(Content, null, "Popper")), /*#__PURE__*/React.createElement("button", {
    onClick: handleClick
  }, "Popper with the same inline size"));
};

var WithMinimumInlineSize = function WithMinimumInlineSize() {
  var _useState7 = useState(null),
      _useState8 = _slicedToArray(_useState7, 2),
      referenceElement = _useState8[0],
      setReferenceElement = _useState8[1];

  var handleClick = function handleClick(event) {
    setReferenceElement(event.currentTarget);
  };

  return /*#__PURE__*/React.createElement(React.Fragment, null, referenceElement && placement && /*#__PURE__*/React.createElement(Popper, {
    activator: referenceElement,
    placement: "blockStart",
    minInlineSize: 480
  }, /*#__PURE__*/React.createElement(Content, null, "Popper")), /*#__PURE__*/React.createElement("button", {
    onClick: handleClick
  }, "Popper with a minimum inline size (480px)"));
};

var WithOverflowPrevention = function WithOverflowPrevention() {
  var _useState9 = useState(null),
      _useState10 = _slicedToArray(_useState9, 2),
      referenceElement = _useState10[0],
      setReferenceElement = _useState10[1];

  var handleClick = function handleClick(event) {
    setReferenceElement(event.currentTarget);
  };

  return /*#__PURE__*/React.createElement("div", {
    style: {
      display: 'flex',
      flex: '1',
      paddingRight: 50,
      justifyContent: 'flex-end'
    }
  }, referenceElement && placement && /*#__PURE__*/React.createElement(Popper, {
    activator: referenceElement,
    placement: "blockStart",
    preventOverflow: true
  }, /*#__PURE__*/React.createElement(Content, null, "Very loooooooooooooooooooooooong Popper")), /*#__PURE__*/React.createElement("button", {
    onClick: handleClick
  }, "Prevent overflow"));
};

export var placement = function placement() {
  return /*#__PURE__*/React.createElement(WithPlacement, null);
};
export var sameInlineSize = function sameInlineSize() {
  return /*#__PURE__*/React.createElement(WithSameInlineSize, null);
};
export var minimumInlineSize = function minimumInlineSize() {
  return /*#__PURE__*/React.createElement(WithMinimumInlineSize, null);
};
export var preventOverflow = function preventOverflow() {
  return /*#__PURE__*/React.createElement(WithOverflowPrevention, null);
};