function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React from 'react';
import { mount } from '@quilted/react-testing/dom';
import { TextBlock } from '../../../TextBlock';
import { ProgressTracker } from '../../ProgressTracker';
import { VisuallyHidden } from '../../../VisuallyHidden';
import { ProgressTrackerStep, ProgressTrackerStepIcon, ProgressTrackerStepLabel, ProgressTrackerStepConnector } from './ProgressTrackerStep';

var defaultProps = function defaultProps(id) {
  return {
    id: "step".concat(id),
    icon: 'checkmark',
    label: "Step ".concat(id),
    state: "State ".concat(id)
  };
};

describe('<ProgressTrackerStep />', function () {
  it('renders a <ProgressTrackerStepConnector /> except for first ProgressTrackerStep', function () {
    var progressTracker = mount( /*#__PURE__*/React.createElement(ProgressTracker, {
      activeStep: "step3"
    }, /*#__PURE__*/React.createElement(ProgressTrackerStep, defaultProps(1)), /*#__PURE__*/React.createElement(ProgressTrackerStep, defaultProps(2)), /*#__PURE__*/React.createElement(ProgressTrackerStep, defaultProps(3))));

    var _progressTracker$find = progressTracker.findAll(ProgressTrackerStep),
        _progressTracker$find2 = _slicedToArray(_progressTracker$find, 3),
        firstProgressTrackerStep = _progressTracker$find2[0],
        secondProgressTrackerStep = _progressTracker$find2[1],
        finalProgressTrackerStep = _progressTracker$find2[2];

    expect(firstProgressTrackerStep).not.toContainReactComponent(ProgressTrackerStepConnector);
    expect(secondProgressTrackerStep).toContainReactComponent(ProgressTrackerStepConnector, {
      active: false,
      completed: true
    });
    expect(finalProgressTrackerStep).toContainReactComponent(ProgressTrackerStepConnector, {
      active: true,
      completed: false
    });
  });
  it('renders <ProgressTrackerStepIcon />', function () {
    var progressTracker = mount( /*#__PURE__*/React.createElement(ProgressTracker, {
      activeStep: "step2"
    }, /*#__PURE__*/React.createElement(ProgressTrackerStep, defaultProps(1)), /*#__PURE__*/React.createElement(ProgressTrackerStep, defaultProps(2)), /*#__PURE__*/React.createElement(ProgressTrackerStep, Object.assign({}, defaultProps(3), {
      iconAppearance: "critical"
    }))));

    var _progressTracker$find3 = progressTracker.findAll(ProgressTrackerStep),
        _progressTracker$find4 = _slicedToArray(_progressTracker$find3, 3),
        firstProgressTrackerStep = _progressTracker$find4[0],
        secondProgressTrackerStep = _progressTracker$find4[1],
        finalProgressTrackerStep = _progressTracker$find4[2];

    expect(firstProgressTrackerStep).toContainReactComponent(ProgressTrackerStepIcon, {
      active: false,
      completed: true,
      source: 'checkmark'
    });
    expect(secondProgressTrackerStep).toContainReactComponent(ProgressTrackerStepIcon, {
      active: true,
      completed: false,
      source: 'checkmark'
    });
    expect(finalProgressTrackerStep).toContainReactComponent(ProgressTrackerStepIcon, {
      active: false,
      completed: false,
      source: 'checkmark',
      appearance: 'critical'
    });
  });
  it('renders <ProgressTrackerStepLabel /> with state', function () {
    var progressTracker = mount( /*#__PURE__*/React.createElement(ProgressTracker, null, /*#__PURE__*/React.createElement(ProgressTrackerStep, defaultProps(1)), /*#__PURE__*/React.createElement(ProgressTrackerStep, Object.assign({}, defaultProps(2), {
      stateHidden: false
    }))));

    var _progressTracker$find5 = progressTracker.findAll(ProgressTrackerStep),
        _progressTracker$find6 = _slicedToArray(_progressTracker$find5, 2),
        firstProgressTrackerStep = _progressTracker$find6[0],
        finalProgressTrackerStep = _progressTracker$find6[1];

    expect(firstProgressTrackerStep).toContainReactComponent(ProgressTrackerStepLabel, {
      state: 'State 1'
    });
    expect(finalProgressTrackerStep).toContainReactComponent(ProgressTrackerStepLabel, {
      state: 'State 2'
    });
    expect(firstProgressTrackerStep).toContainReactComponent(VisuallyHidden);
    expect(firstProgressTrackerStep).toContainReactComponentTimes(TextBlock, 1);
    expect(finalProgressTrackerStep).not.toContainReactComponent(VisuallyHidden);
    expect(finalProgressTrackerStep).toContainReactComponentTimes(TextBlock, 2);
    expect(firstProgressTrackerStep.find(VisuallyHidden)).toContainReactText('State 1');
    expect(finalProgressTrackerStep.find(TextBlock)).toContainReactText('State 2');
  });
  it('renders <ProgressTrackerStepLabel /> with label or description', function () {
    var progressTracker = mount( /*#__PURE__*/React.createElement(ProgressTracker, {
      activeStep: "step2"
    }, /*#__PURE__*/React.createElement(ProgressTrackerStep, Object.assign({}, defaultProps(1), {
      description: "Description 1"
    })), /*#__PURE__*/React.createElement(ProgressTrackerStep, Object.assign({}, defaultProps(2), {
      description: "Description 2"
    })), /*#__PURE__*/React.createElement(ProgressTrackerStep, defaultProps(3))));

    var _progressTracker$find7 = progressTracker.findAll(ProgressTrackerStep),
        _progressTracker$find8 = _slicedToArray(_progressTracker$find7, 3),
        firstProgressTrackerStep = _progressTracker$find8[0],
        secondProgressTrackerStep = _progressTracker$find8[1],
        finalProgressTrackerStep = _progressTracker$find8[2];

    expect(firstProgressTrackerStep).toContainReactComponent(ProgressTrackerStepLabel, {
      label: 'Step 1',
      description: 'Description 1'
    });
    expect(secondProgressTrackerStep).toContainReactComponent(ProgressTrackerStepLabel, {
      label: 'Step 2',
      description: 'Description 2'
    });
    expect(finalProgressTrackerStep).toContainReactComponent(ProgressTrackerStepLabel, {
      label: 'Step 3'
    });
    expect(firstProgressTrackerStep.find(TextBlock)).toContainReactText('Step 1');
    expect(secondProgressTrackerStep.find(TextBlock)).toContainReactText('Step 2');
    expect(finalProgressTrackerStep.find(TextBlock)).toContainReactText('Step 3');
    expect(firstProgressTrackerStep).toContainReactComponentTimes(TextBlock, 2);
    expect(secondProgressTrackerStep).toContainReactComponentTimes(TextBlock, 2);
    expect(finalProgressTrackerStep).toContainReactComponentTimes(TextBlock, 1);
  });
  it('renders a <li> with a aria-current attribute', function () {
    var progressTracker = mount( /*#__PURE__*/React.createElement(ProgressTracker, {
      activeStep: "step2"
    }, /*#__PURE__*/React.createElement(ProgressTrackerStep, defaultProps(1)), /*#__PURE__*/React.createElement(ProgressTrackerStep, defaultProps(2)), /*#__PURE__*/React.createElement(ProgressTrackerStep, defaultProps(3))));

    var _progressTracker$find9 = progressTracker.findAll(ProgressTrackerStep),
        _progressTracker$find10 = _slicedToArray(_progressTracker$find9, 3),
        firstProgressTrackerStep = _progressTracker$find10[0],
        secondProgressTrackerStep = _progressTracker$find10[1],
        finalProgressTrackerStep = _progressTracker$find10[2];

    expect(firstProgressTrackerStep).toContainReactComponent('li', {
      'aria-current': false
    });
    expect(secondProgressTrackerStep).toContainReactComponent('li', {
      'aria-current': true
    });
    expect(finalProgressTrackerStep).toContainReactComponent('li', {
      'aria-current': false
    });
  });
});