import React from 'react';
import { classNames, variationName } from '@shopify/css-utilities';
import { utilityDefaultBorderColor } from '../../utilities/legacy';
import { VisuallyHidden } from '../VisuallyHidden';
import styles from './ResourceItem.css';
export function ResourceItemContent(_ref) {
  var children = _ref.children,
      primary = _ref.primary,
      hidden = _ref.hidden;
  var className = classNames(styles.ResourceItemContent, primary && styles['ResourceItemContent-isPrimary']);
  return /*#__PURE__*/React.createElement("div", {
    role: "cell",
    className: className
  }, hidden ? /*#__PURE__*/React.createElement(VisuallyHidden, null, children) : children);
}
export function ResourceItem(_ref2) {
  var children = _ref2.children,
      background = _ref2.background,
      inlinePadding = _ref2.inlinePadding,
      blockPadding = _ref2.blockPadding;
  var className = classNames(styles.ResourceItem, utilityDefaultBorderColor, background && styles[variationName('background', background)], inlinePadding && styles[variationName('inlinePadding', inlinePadding)], blockPadding && styles[variationName('blockPadding', blockPadding)]);
  return /*#__PURE__*/React.createElement("div", {
    role: "row",
    className: className
  }, children);
}
export function ResourceItemSeparator(_ref3) {
  var borderStyle = _ref3.borderStyle,
      borderColor = _ref3.borderColor;
  var className = classNames(styles.ResourceItemSeparator, borderStyle && styles[variationName('ResourceItemSeparator-borderStyle', borderStyle)], borderColor && styles[variationName('ResourceItemSeparator-borderColor', borderColor)]);
  return /*#__PURE__*/React.createElement("div", {
    className: className
  });
}