import React from 'react';
import { classNames, variationName } from '@shopify/css-utilities';
import { createIdCreator, useId } from '../../utilities/id';
import { utilityDefaultBorderColor } from '../../utilities/legacy';
import { useThemeConfiguration } from '../Theme';
import { HeadingGroup } from '../HeadingGroup';
import { Link, VisuallyHidden, HiddenForAccessibility, Heading, Text, TextBlock } from '..';
import styles from './ReviewItem.css';
var createId = createIdCreator('ReviewBlock');
export function ReviewItem(_ref) {
  var children = _ref.children,
      label = _ref.label,
      to = _ref.to,
      linkLabel = _ref.linkLabel,
      linkAriaLabel = _ref.linkAriaLabel;

  var _useThemeConfiguratio = useThemeConfiguration(),
      _useThemeConfiguratio2 = _useThemeConfiguratio.reviewBlock.gap,
      gap = _useThemeConfiguratio2 === void 0 ? 'none' : _useThemeConfiguratio2;

  var className = classNames(styles.ReviewItem, gap !== 'none' && styles.isContainer, utilityDefaultBorderColor);
  var linkContent = linkAriaLabel ? /*#__PURE__*/React.createElement(HiddenForAccessibility, null, linkLabel) : linkLabel;
  return /*#__PURE__*/React.createElement("div", {
    role: "row",
    className: className,
    key: label
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.Wrapper
  }, /*#__PURE__*/React.createElement("div", {
    role: "rowheader",
    className: styles.Label
  }, /*#__PURE__*/React.createElement(Text, {
    subdued: true
  }, label)), /*#__PURE__*/React.createElement("div", {
    role: "cell",
    className: styles.Content
  }, children)), to && /*#__PURE__*/React.createElement("div", {
    role: "cell"
  }, /*#__PURE__*/React.createElement(Link, {
    to: to
  }, /*#__PURE__*/React.createElement(Text, {
    size: "small"
  }, linkContent), linkAriaLabel && /*#__PURE__*/React.createElement(VisuallyHidden, null, linkAriaLabel))));
}
export function ReviewBlock(_ref2) {
  var children = _ref2.children,
      title = _ref2.title,
      titleHidden = _ref2.titleHidden;
  var id = useId(undefined, createId);

  var _useThemeConfiguratio3 = useThemeConfiguration(),
      _useThemeConfiguratio4 = _useThemeConfiguratio3.reviewBlock,
      _useThemeConfiguratio5 = _useThemeConfiguratio4.background,
      background = _useThemeConfiguratio5 === void 0 ? 'transparent' : _useThemeConfiguratio5,
      _useThemeConfiguratio6 = _useThemeConfiguratio4.gap,
      gap = _useThemeConfiguratio6 === void 0 ? 'none' : _useThemeConfiguratio6;

  var className = classNames(styles.ReviewBlock, background && styles[variationName('ReviewBlock-background', background)], gap === 'none' && styles.isContainer, utilityDefaultBorderColor);
  return /*#__PURE__*/React.createElement(React.Fragment, null, titleHidden ? /*#__PURE__*/React.createElement(VisuallyHidden, null, /*#__PURE__*/React.createElement(TextBlock, {
    id: id
  }, title)) : /*#__PURE__*/React.createElement(Heading, {
    id: id
  }, title), /*#__PURE__*/React.createElement(HeadingGroup, null, /*#__PURE__*/React.createElement("div", {
    "aria-labelledby": id,
    role: "table",
    className: className
  }, children)));
}