function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import { classNames, variationName } from '@shopify/css-utilities';
import { Heading } from '../Heading';
import { HeadingGroup } from '../HeadingGroup';
import { TextBlock } from '../TextBlock';
import { TextContainer } from '../TextContainer';
import { useThemeConfiguration } from '../Theme';
import styles from './Step.css';
export function Step(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React.createElement("div", {
    className: styles.Step
  }, children);
}
export function StepContent(_ref2) {
  var grouped = _ref2.grouped,
      children = _ref2.children;
  var className = classNames(styles.Content, _defineProperty({}, styles.isGrouped, grouped));
  return /*#__PURE__*/React.createElement("div", {
    className: className
  }, children);
}
export function StepSection(_ref3) {
  var title = _ref3.title,
      _ref3$primary = _ref3.primary,
      primary = _ref3$primary === void 0 ? false : _ref3$primary,
      children = _ref3.children,
      description = _ref3.description;
  var header = title && /*#__PURE__*/React.createElement(StepSectionHeader, {
    title: title,
    primary: primary,
    description: description
  });
  return /*#__PURE__*/React.createElement("section", {
    "aria-label": title,
    className: styles.Section
  }, header, /*#__PURE__*/React.createElement(HeadingGroup, null, children));
}
export var STEP_SECTION_PRIMARY_HEADER_ID = 'primary-header';
export function StepSectionHeader(_ref4) {
  var title = _ref4.title,
      _ref4$primary = _ref4.primary,
      primary = _ref4$primary === void 0 ? false : _ref4$primary,
      descriptionProp = _ref4.description;
  var description = descriptionProp && /*#__PURE__*/React.createElement(TextBlock, null, descriptionProp);
  return /*#__PURE__*/React.createElement(TextContainer, {
    spacing: "tight"
  }, /*#__PURE__*/React.createElement(Heading, {
    id: primary ? STEP_SECTION_PRIMARY_HEADER_ID : undefined
  }, title), description);
}
export function StepSectionShowcase(_ref5) {
  var children = _ref5.children;
  return /*#__PURE__*/React.createElement("div", {
    className: styles.Showcase
  }, children);
}
export function StepActions(_ref6) {
  var children = _ref6.children;

  var _useThemeConfiguratio = useThemeConfiguration(),
      _useThemeConfiguratio2 = _useThemeConfiguratio.actions.display,
      display = _useThemeConfiguratio2 === void 0 ? 'inline' : _useThemeConfiguratio2;

  var className = classNames(styles.Actions, styles[variationName('Actions-display', display)]);
  return /*#__PURE__*/React.createElement("div", {
    className: className
  }, children);
}
export function StepPrimaryAction(_ref7) {
  var children = _ref7.children;
  return /*#__PURE__*/React.createElement("div", {
    className: styles.PrimaryAction
  }, children);
}
export function StepSecondaryAction(_ref8) {
  var children = _ref8.children;
  return /*#__PURE__*/React.createElement("div", {
    className: styles.SecondaryAction
  }, children);
}