import _regeneratorRuntime from "@babel/runtime/regenerator";

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

import React, { useEffect } from 'react';
import { useThemeConfiguration } from '../../hooks';
export function WebFonts(_ref) {
  var children = _ref.children;

  var _useThemeConfiguratio = useThemeConfiguration(),
      typographyPrimary = _useThemeConfiguratio.typographyPrimary,
      typographySecondary = _useThemeConfiguratio.typographySecondary;

  useEffect(function () {
    var fonts = [typographyPrimary, typographySecondary].map(function (typography) {
      return [{
        fonts: typography.fonts,
        source: typography.sourceBase,
        weight: typography.weightBase
      }, {
        fonts: typography.fonts,
        source: typography.sourceBold,
        weight: typography.weightBold
      }];
    }).reduce(function (fonts, typography) {
      return fonts.concat(typography);
    }, []).filter(function (font) {
      return font.fonts !== undefined && font.source !== undefined;
    }).map(function (_ref2) {
      var fonts = _ref2.fonts,
          source = _ref2.source,
          weight = _ref2.weight;
      return new FontFace(fonts, source, {
        weight: weight
      });
    });

    function loadFonts() {
      return _loadFonts.apply(this, arguments);
    }

    function _loadFonts() {
      _loadFonts = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
        return _regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _context.next = 2;
                return Promise.all(fonts).then(function (loadedFonts) {
                  loadedFonts.forEach(function (font) {
                    document.fonts.add(font);
                  });
                });

              case 2:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));
      return _loadFonts.apply(this, arguments);
    }

    loadFonts();
  }, [typographyPrimary, typographySecondary]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, children);
}
export function MaybeWebFonts(_ref3) {
  var children = _ref3.children,
      condition = _ref3.condition;
  return condition ? /*#__PURE__*/React.createElement(WebFonts, null, children) : /*#__PURE__*/React.createElement(React.Fragment, null, children);
}