import React, { useRef, useMemo } from 'react';
import { ToggleButtonsContext } from './context';
export function ToggleButtonGroup(_ref) {
  var id = _ref.id,
      selectedItem = _ref.selectedItem,
      onChange = _ref.onChange;
  var onChangeRef = useRef(onChange);
  onChangeRef.current = onChange;
  var contextValue = useMemo(function () {
    return {
      id: id,
      selectedItem: selectedItem,

      get onChange() {
        return onChangeRef.current;
      }

    };
  }, [id, selectedItem]);
  return /*#__PURE__*/React.createElement(ToggleButtonsContext.Provider, {
    value: contextValue
  });
}