import React from 'react';
import { mountWithContext } from '../test-utilities';
import { useFocusTrap } from './focusTrap';
jest.useFakeTimers();
describe('useFocusTrap', function () {
  var rawCreateElement = document.createElement;
  var focusSpy = jest.fn();
  var createElementSpy = jest.spyOn(document, 'createElement');
  beforeEach(function () {
    createElementSpy.mockImplementation(function () {
      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      var result = rawCreateElement.apply(document, args);

      if (args[0].toLocaleLowerCase() === 'div') {
        result.focus = focusSpy;
      }

      return result;
    });
  });
  afterEach(function () {
    focusSpy.mockReset();
  });
  afterAll(function () {
    createElementSpy.mockRestore();
  });
  it('focuses the element attached to the reference', function () {
    function Component() {
      var ref = useFocusTrap();
      return /*#__PURE__*/React.createElement("div", {
        ref: ref
      }, "Hello");
    }

    var component = mountWithContext( /*#__PURE__*/React.createElement(Component, null));
    component.act(function () {
      jest.runAllTimers();
    });
    expect(focusSpy).toHaveBeenCalled();
  });
});