"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.autofocus = exports.collapsible = exports.withoutIcon = exports.withContent = exports.allBanners = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _storybookUtilities = require("../../storybook-utilities");

var _BlockStack = require("../BlockStack");

var _Text = require("../Text");

var _Banner = require("./Banner");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const meta = {
  component: _Banner.Banner,
  title: 'Banner',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('banner', 'headingLevel3')]
};
var _default = meta;
exports.default = _default;

const allBanners = () => /*#__PURE__*/_react.default.createElement(_BlockStack.BlockStack, null, /*#__PURE__*/_react.default.createElement(_Banner.Banner, {
  title: "This is an informative message"
}), /*#__PURE__*/_react.default.createElement(_Banner.Banner, {
  status: "success",
  title: "This is a success message"
}), /*#__PURE__*/_react.default.createElement(_Banner.Banner, {
  status: "warning",
  title: "This is a warning message"
}), /*#__PURE__*/_react.default.createElement(_Banner.Banner, {
  status: "critical",
  title: "This is an error message"
}));

exports.allBanners = allBanners;

const withContent = () => /*#__PURE__*/_react.default.createElement(_BlockStack.BlockStack, null, /*#__PURE__*/_react.default.createElement(_Banner.Banner, {
  title: "This is an informative message"
}, /*#__PURE__*/_react.default.createElement(_Text.Text, null, "Lorem ipsum, dolor sit amet consectetur adipisicing elit. Dolores commodi, vitae explicabo, laudantium consequatur eaque dignissimos dolorem optio minus porro nesciunt magni reprehenderit accusamus quasi sit architecto sequi nihil.")));

exports.withContent = withContent;

const withoutIcon = () => /*#__PURE__*/_react.default.createElement(_Banner.Banner, {
  title: "Your order was updated on March 19, 2020",
  iconHidden: true
});

exports.withoutIcon = withoutIcon;

const collapsible = () => /*#__PURE__*/_react.default.createElement(_Banner.Banner, {
  title: "Your order was updated on March 19, 2020",
  collapsible: true
}, /*#__PURE__*/_react.default.createElement(_Text.Text, null, "Here are some details."));

exports.collapsible = collapsible;

const autofocus = () => /*#__PURE__*/_react.default.createElement(_Banner.Banner, {
  autofocus: true,
  title: "Your order was updated on March 19, 2020"
}, /*#__PURE__*/_react.default.createElement(_Text.Text, null, "Here are some details."));

exports.autofocus = autofocus;