"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.loading = exports.allButtons = exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _storybookUtilities = require("../../storybook-utilities");

var _ButtonGroup = require("../ButtonGroup");

var _Button = require("./Button");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const meta = {
  component: _Button.Button,
  title: 'Button',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('primaryButton', 'secondaryButton')]
};
var _default = meta;
exports.default = _default;

const allButtons = () => /*#__PURE__*/_react.default.createElement(_ButtonGroup.ButtonGroup, null, /*#__PURE__*/_react.default.createElement(_Button.Button, null, "Default"), /*#__PURE__*/_react.default.createElement(_Button.Button, {
  secondary: true
}, "Secondary"), /*#__PURE__*/_react.default.createElement(_Button.Button, {
  disabled: true
}, "Disabled"), /*#__PURE__*/_react.default.createElement(_Button.Button, {
  to: "/"
}, "With URL prop"), /*#__PURE__*/_react.default.createElement(_Button.Button, {
  subdued: true
}, "Subdued"), /*#__PURE__*/_react.default.createElement(_Button.Button, {
  plain: true
}, "Plain"));

exports.allButtons = allButtons;

function ToggleLoader() {
  const [loading, setLoading] = (0, _react.useState)(false);
  const defaultProps = {
    loading,
    loadingLabel: 'Processing…',
    onPress: () => setLoading(true)
  };
  return /*#__PURE__*/_react.default.createElement(_ButtonGroup.ButtonGroup, null, /*#__PURE__*/_react.default.createElement(_Button.Button, defaultProps, "Default"), /*#__PURE__*/_react.default.createElement(_Button.Button, Object.assign({
    secondary: true
  }, defaultProps), "Secondary"), /*#__PURE__*/_react.default.createElement(_Button.Button, Object.assign({
    disabled: true
  }, defaultProps), "Disabled"), /*#__PURE__*/_react.default.createElement(_Button.Button, Object.assign({
    to: "/"
  }, defaultProps), "With URL prop"), /*#__PURE__*/_react.default.createElement(_Button.Button, Object.assign({
    subdued: true
  }, defaultProps), "Subdued"), /*#__PURE__*/_react.default.createElement(_Button.Button, Object.assign({
    plain: true
  }, defaultProps), "Plain"), /*#__PURE__*/_react.default.createElement(_Button.Button, {
    plain: true,
    onPress: () => setLoading(false)
  }, "Stop loading"));
}

const loading = () => /*#__PURE__*/_react.default.createElement(ToggleLoader, null);

exports.loading = loading;