"use strict";

var _react = _interopRequireDefault(require("react"));

var _dom = require("@quilted/react-testing/dom");

var _icons = require("../../icons");

var _Icon = require("./Icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<Icon />', () => {
  it('renders a placeholder in a <div>', () => {
    const icon = (0, _dom.mount)( /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
      source: "placeholder"
    }));
    expect(icon).toContainReactComponent('div');
  });
  it('renders an actual icon>', () => {
    const icon = (0, _dom.mount)( /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
      source: "chevronDown"
    }));
    expect(icon).toContainReactComponent(_icons.chevronDown);
  });
  it('renders a <span> with a aria-label attribute', () => {
    const icon = (0, _dom.mount)( /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
      source: "placeholder",
      accessibilityLabel: "Some icon"
    }));
    expect(icon).toContainReactComponent('span', {
      'aria-label': 'Some icon'
    });
  });
});