"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.underline = exports.linkWithoutUrl = exports.externalLink = exports.internalLink = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _storybookUtilities = require("../../storybook-utilities");

var _Link = require("./Link");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const meta = {
  component: _Link.Link,
  title: 'Link',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('primaryButton')]
};
var _default = meta;
exports.default = _default;
const defaultProps = {
  to: 'https://shopify.com'
};

const internalLink = () => /*#__PURE__*/_react.default.createElement(_Link.Link, Object.assign({}, defaultProps, {
  external: false
}), "Internal link");

exports.internalLink = internalLink;

const externalLink = () => /*#__PURE__*/_react.default.createElement(_Link.Link, Object.assign({}, defaultProps, {
  external: true
}), "External link");

exports.externalLink = externalLink;

const linkWithoutUrl = () => /*#__PURE__*/_react.default.createElement(_Link.Link, {
  underline: true,
  to: undefined
}, "Link without Url");

exports.linkWithoutUrl = linkWithoutUrl;

const underline = () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_Link.Link, Object.assign({}, defaultProps, {
  underline: true
}), "Just a link"), /*#__PURE__*/_react.default.createElement("br", null), /*#__PURE__*/_react.default.createElement(_Link.Link, {
  underline: true
}, "Link without Url (rendered as a Button)"));

exports.underline = underline;