"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.closed = exports.focusTrap = exports.long = exports.iframeWithTitle = exports.iframe = exports.blocking = exports.longTitle = exports.title = exports.longText = exports.text = exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _faker = _interopRequireDefault(require("faker"));

var _storybookUtilities = require("../../storybook-utilities");

var _Text = require("../Text");

var _Button = require("../Button");

var _InlineStack = require("../InlineStack");

var _BlockStack = require("../BlockStack");

var _Modal = require("./Modal");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const meta = {
  component: _Modal.Modal,
  title: 'Modal',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('headingLevel1')]
};
var _default = meta;
exports.default = _default;

const text = () => /*#__PURE__*/_react.default.createElement(_Modal.Modal, {
  open: true
}, /*#__PURE__*/_react.default.createElement(_Text.Text, null, _faker.default.lorem.paragraphs(1)));

exports.text = text;

const longText = () => /*#__PURE__*/_react.default.createElement(_Modal.Modal, {
  open: true
}, /*#__PURE__*/_react.default.createElement(_Text.Text, null, _faker.default.lorem.paragraphs(100)));

exports.longText = longText;

const title = () => /*#__PURE__*/_react.default.createElement(_Modal.Modal, {
  title: _faker.default.random.words(3),
  open: true
}, /*#__PURE__*/_react.default.createElement(_Text.Text, null, _faker.default.lorem.paragraphs(1)));

exports.title = title;

const longTitle = () => /*#__PURE__*/_react.default.createElement(_Modal.Modal, {
  title: _faker.default.random.words(8),
  open: true
}, /*#__PURE__*/_react.default.createElement(_Text.Text, null, _faker.default.lorem.paragraphs(1)));

exports.longTitle = longTitle;

const blocking = () => /*#__PURE__*/_react.default.createElement(_Modal.Modal, {
  title: _faker.default.random.words(2),
  blocking: true,
  open: true
}, /*#__PURE__*/_react.default.createElement(_Text.Text, null, _faker.default.lorem.paragraphs(1)));

exports.blocking = blocking;

const iframe = () => /*#__PURE__*/_react.default.createElement(_Modal.Modal, {
  src: "https://www.example.com/",
  open: true
});

exports.iframe = iframe;

const iframeWithTitle = () => /*#__PURE__*/_react.default.createElement(_Modal.Modal, {
  src: "http://www.example.com/",
  title: _faker.default.random.words(3),
  open: true
});

exports.iframeWithTitle = iframeWithTitle;

const long = () => /*#__PURE__*/_react.default.createElement(_Modal.Modal, {
  src: "http://www.example.com/",
  open: true,
  long: true
});

exports.long = long;

const focusTrap = () => /*#__PURE__*/_react.default.createElement(_Modal.Modal, {
  title: _faker.default.random.words(3),
  open: true
}, /*#__PURE__*/_react.default.createElement(_BlockStack.BlockStack, null, /*#__PURE__*/_react.default.createElement(_Text.Text, null, _faker.default.lorem.paragraphs(1)), /*#__PURE__*/_react.default.createElement(_InlineStack.InlineStack, null, /*#__PURE__*/_react.default.createElement(_Button.Button, {
  subdued: true
}, "You"), /*#__PURE__*/_react.default.createElement(_Button.Button, {
  subdued: true
}, "are"), /*#__PURE__*/_react.default.createElement(_Button.Button, {
  subdued: true
}, "trapped"))));

exports.focusTrap = focusTrap;

const Closed = () => {
  const [open, setOpen] = (0, _react.useState)(false);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_Button.Button, {
    onPress: () => setOpen(true)
  }, "Show modal"), /*#__PURE__*/_react.default.createElement(_Modal.Modal, {
    title: _faker.default.random.words(3),
    open: open,
    onClose: () => setOpen(false)
  }, /*#__PURE__*/_react.default.createElement(_Text.Text, null, _faker.default.lorem.paragraphs(1))));
};

const closed = () => /*#__PURE__*/_react.default.createElement(Closed, null);

exports.closed = closed;