"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Popover = Popover;

var _cssUtilities = require("@shopify/css-utilities");

var _react = _interopRequireWildcard(require("react"));

var _units = require("../../utilities/units");

var _Popper = require("../Popper");

var _Popover = _interopRequireDefault(require("./Popover.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/* eslint-disable jsx-a11y/click-events-have-key-events */
function Popover({
  children,
  activator,
  open: openProp,
  onClose,
  offset,
  placement = 'inlineEnd'
}) {
  const [open, setOpen] = (0, _react.useState)(openProp);
  (0, _react.useEffect)(() => {
    setOpen(openProp);
  }, [openProp]);
  const handleClose = (0, _react.useCallback)(() => {
    setOpen(false);

    if (activator instanceof HTMLElement) {
      activator.focus();
    }

    onClose === null || onClose === void 0 ? void 0 : onClose();
  }, [activator, onClose]);
  const popoverClassName = (0, _cssUtilities.classNames)(_Popover.default.Popover, _Popover.default[(0, _cssUtilities.variationName)('Popover-placement', placement)]);
  const contentClassName = (0, _cssUtilities.classNames)(_Popover.default.Content, _Popover.default[(0, _cssUtilities.variationName)('Content-placement', placement)]);
  const popoverStyle = {
    '--popover-offset': offset ? (0, _units.rem)(offset) : undefined
    /* stylelint-disable-line value-keyword-case */

  };
  return open ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_Popper.Popper, {
    activator: activator,
    placement: placement,
    offset: 15
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: popoverClassName,
    style: popoverStyle
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: contentClassName
  }, children))), /*#__PURE__*/_react.default.createElement("div", {
    className: _Popover.default.Overlay,
    onClick: handleClose
  })) : null;
}