"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ResourceItemContent = ResourceItemContent;
exports.ResourceItem = ResourceItem;
exports.ResourceItemSeparator = ResourceItemSeparator;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _legacy = require("../../utilities/legacy");

var _VisuallyHidden = require("../VisuallyHidden");

var _ResourceItem = _interopRequireDefault(require("./ResourceItem.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ResourceItemContent({
  children,
  primary,
  hidden
}) {
  const className = (0, _cssUtilities.classNames)(_ResourceItem.default.ResourceItemContent, primary && _ResourceItem.default['ResourceItemContent-isPrimary']);
  return /*#__PURE__*/_react.default.createElement("div", {
    role: "cell",
    className: className
  }, hidden ? /*#__PURE__*/_react.default.createElement(_VisuallyHidden.VisuallyHidden, null, children) : children);
}

function ResourceItem({
  children,
  background,
  inlinePadding,
  blockPadding
}) {
  const className = (0, _cssUtilities.classNames)(_ResourceItem.default.ResourceItem, _legacy.utilityDefaultBorderColor, background && _ResourceItem.default[(0, _cssUtilities.variationName)('background', background)], inlinePadding && _ResourceItem.default[(0, _cssUtilities.variationName)('inlinePadding', inlinePadding)], blockPadding && _ResourceItem.default[(0, _cssUtilities.variationName)('blockPadding', blockPadding)]);
  return /*#__PURE__*/_react.default.createElement("div", {
    role: "row",
    className: className
  }, children);
}

function ResourceItemSeparator({
  borderStyle,
  borderColor
}) {
  const className = (0, _cssUtilities.classNames)(_ResourceItem.default.ResourceItemSeparator, borderStyle && _ResourceItem.default[(0, _cssUtilities.variationName)('ResourceItemSeparator-borderStyle', borderStyle)], borderColor && _ResourceItem.default[(0, _cssUtilities.variationName)('ResourceItemSeparator-borderColor', borderColor)]);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: className
  });
}