"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withHiddenHeaderContent = exports.withHeader = exports.borderAroundItems = exports.borderFull = exports.borderBlockEnd = exports.oneItem = exports.multipleItems = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Text = require("../Text");

var _Thumbnail = require("../Thumbnail");

var _ResourceItem = require("../ResourceItem");

var _ResourceList = require("./ResourceList");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const meta = {
  component: _ResourceList.ResourceList,
  title: 'ResourceList',
  decorators: [story => /*#__PURE__*/_react.default.createElement("div", {
    style: {
      margin: '1em'
    }
  }, story())]
};
var _default = meta;
exports.default = _default;

function Item() {
  return /*#__PURE__*/_react.default.createElement(_ResourceItem.ResourceItem, null, /*#__PURE__*/_react.default.createElement(_ResourceItem.ResourceItemContent, null, /*#__PURE__*/_react.default.createElement(_Thumbnail.Thumbnail, {
    description: "some media source",
    badge: 1
  })), /*#__PURE__*/_react.default.createElement(_ResourceItem.ResourceItemContent, {
    primary: true
  }, /*#__PURE__*/_react.default.createElement(_Text.Text, {
    emphasized: true
  }, "T-shirt"), /*#__PURE__*/_react.default.createElement(_Text.Text, {
    subdued: true
  }, "L/Blue")), /*#__PURE__*/_react.default.createElement(_ResourceItem.ResourceItemContent, null, /*#__PURE__*/_react.default.createElement(_Text.Text, {
    emphasized: true
  }, "$12.00")));
}

const multipleItems = () => /*#__PURE__*/_react.default.createElement(_ResourceList.ResourceList, null, /*#__PURE__*/_react.default.createElement(Item, null), /*#__PURE__*/_react.default.createElement(Item, null), /*#__PURE__*/_react.default.createElement(Item, null));

exports.multipleItems = multipleItems;

const oneItem = () => /*#__PURE__*/_react.default.createElement(_ResourceList.ResourceList, null, /*#__PURE__*/_react.default.createElement(Item, null));

exports.oneItem = oneItem;

const borderBlockEnd = () => /*#__PURE__*/_react.default.createElement(_ResourceList.ResourceList, {
  border: "blockEnd"
}, /*#__PURE__*/_react.default.createElement(Item, null), /*#__PURE__*/_react.default.createElement(Item, null), /*#__PURE__*/_react.default.createElement(Item, null));

exports.borderBlockEnd = borderBlockEnd;

const borderFull = () => /*#__PURE__*/_react.default.createElement(_ResourceList.ResourceList, {
  border: "full"
}, /*#__PURE__*/_react.default.createElement(Item, null), /*#__PURE__*/_react.default.createElement(Item, null), /*#__PURE__*/_react.default.createElement(Item, null));

exports.borderFull = borderFull;

const borderAroundItems = () => /*#__PURE__*/_react.default.createElement(_ResourceList.ResourceList, {
  border: "aroundItems"
}, /*#__PURE__*/_react.default.createElement(Item, null), /*#__PURE__*/_react.default.createElement(Item, null), /*#__PURE__*/_react.default.createElement(Item, null));

exports.borderAroundItems = borderAroundItems;

const withHeader = () => /*#__PURE__*/_react.default.createElement(_ResourceList.ResourceList, null, /*#__PURE__*/_react.default.createElement(_ResourceList.ResourceListHeader, null, /*#__PURE__*/_react.default.createElement(_ResourceList.ResourceListHeaderContent, null, /*#__PURE__*/_react.default.createElement(_Text.Text, null, "Image")), /*#__PURE__*/_react.default.createElement(_ResourceList.ResourceListHeaderContent, {
  primary: true
}, /*#__PURE__*/_react.default.createElement(_Text.Text, null, "Description")), /*#__PURE__*/_react.default.createElement(_ResourceList.ResourceListHeaderContent, null, /*#__PURE__*/_react.default.createElement(_Text.Text, null, "Price"))), /*#__PURE__*/_react.default.createElement(Item, null), /*#__PURE__*/_react.default.createElement(Item, null), /*#__PURE__*/_react.default.createElement(Item, null));

exports.withHeader = withHeader;

const withHiddenHeaderContent = () => /*#__PURE__*/_react.default.createElement(_ResourceList.ResourceList, {
  titleHidden: true,
  title: "title"
}, /*#__PURE__*/_react.default.createElement(_ResourceList.ResourceListHeader, null, /*#__PURE__*/_react.default.createElement(_ResourceList.ResourceListHeaderContent, {
  primary: true
}, /*#__PURE__*/_react.default.createElement(_Text.Text, {
  emphasized: true
}, "test")), /*#__PURE__*/_react.default.createElement(_ResourceList.ResourceListHeaderContent, null, /*#__PURE__*/_react.default.createElement(_Text.Text, {
  emphasized: true
}, "test"))), /*#__PURE__*/_react.default.createElement(Item, null), /*#__PURE__*/_react.default.createElement(Item, null), /*#__PURE__*/_react.default.createElement(Item, null));

exports.withHiddenHeaderContent = withHiddenHeaderContent;