"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Spinner = Spinner;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _mediaQuery = require("../../utilities/media-query");

var _Icon = require("../Icon");

var _Spinner = _interopRequireDefault(require("./Spinner.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Spinner({
  size,
  color,
  children
}) {
  const prefersReducedMotion = (0, _mediaQuery.usePrefersReducedMotion)();
  const showAccessibleContent = Boolean(children && prefersReducedMotion);
  const className = showAccessibleContent ? undefined : (0, _cssUtilities.classNames)(_Spinner.default.Spinner, size && _Spinner.default[(0, _cssUtilities.variationName)('size', size)]);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: className
  }, showAccessibleContent ? children : /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
    source: size === 'small' ? 'spinnerSmall' : 'spinner',
    appearance: color ? undefined : 'accent'
  }));
}