"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.readonly = exports.disabled = exports.withTooltip = exports.textarea = exports.errorState = exports.prefilledContent = exports.inputTypeTelephone = exports.inputTypeEmail = exports.inputTypeNumber = exports.defaultState = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _storybookUtilities = require("../../storybook-utilities");

var _TextField = require("./TextField");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const meta = {
  component: _TextField.TextField,
  title: 'TextField',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('textFields')]
};
var _default = meta;
exports.default = _default;
const defaultProps = {
  id: 'field',
  label: 'Label'
};

const defaultState = () => /*#__PURE__*/_react.default.createElement(_TextField.TextField, defaultProps);

exports.defaultState = defaultState;

const inputTypeNumber = () => /*#__PURE__*/_react.default.createElement(_TextField.TextField, Object.assign({}, defaultProps, {
  type: "number"
}));

exports.inputTypeNumber = inputTypeNumber;

const inputTypeEmail = () => /*#__PURE__*/_react.default.createElement(_TextField.TextField, Object.assign({}, defaultProps, {
  type: "email"
}));

exports.inputTypeEmail = inputTypeEmail;

const inputTypeTelephone = () => /*#__PURE__*/_react.default.createElement(_TextField.TextField, Object.assign({}, defaultProps, {
  type: "telephone"
}));

exports.inputTypeTelephone = inputTypeTelephone;

const prefilledContent = () => /*#__PURE__*/_react.default.createElement(_TextField.TextField, Object.assign({}, defaultProps, {
  value: "Shopifolk"
}));

exports.prefilledContent = prefilledContent;

const errorState = () => /*#__PURE__*/_react.default.createElement(_TextField.TextField, Object.assign({}, defaultProps, {
  error: "Enter a name"
}));

exports.errorState = errorState;

const textarea = () => /*#__PURE__*/_react.default.createElement(_TextField.TextField, Object.assign({}, defaultProps, {
  multiline: true
}));

exports.textarea = textarea;

const withTooltip = () => /*#__PURE__*/_react.default.createElement(_TextField.TextField, Object.assign({}, defaultProps, {
  tooltip: {
    label: 'More information',
    content: 'In case we need to contact you about your order'
  }
}));

exports.withTooltip = withTooltip;

const disabled = () => /*#__PURE__*/_react.default.createElement(_TextField.TextField, Object.assign({}, defaultProps, {
  disabled: true
}));

exports.disabled = disabled;

const readonly = () => /*#__PURE__*/_react.default.createElement(_TextField.TextField, Object.assign({}, defaultProps, {
  readonly: true
}));

exports.readonly = readonly;