"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Thumbnail = Thumbnail;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Theme = require("../Theme");

var _Icon = require("../Icon");

var _Thumbnail = _interopRequireDefault(require("./Thumbnail.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Thumbnail({
  badge,
  description,
  source,
  sources
}) {
  const {
    thumbnail: {
      aspectRatio,
      border = 'full',
      badgeBackground = 'subdued'
    }
  } = (0, _Theme.useThemeConfiguration)();
  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _cssUtilities.classNames)(_Thumbnail.default.Thumbnail, border && _Thumbnail.default[(0, _cssUtilities.variationName)('border', border)], aspectRatio && aspectRatio < 1 && _Thumbnail.default['Thumbnail-aspectRatioLandscape'], aspectRatio && aspectRatio > 1 && _Thumbnail.default['Thumbnail-aspectRatioPortrait'])
  }, badge != null && /*#__PURE__*/_react.default.createElement("span", {
    className: (0, _cssUtilities.classNames)(_Thumbnail.default.Badge, _Thumbnail.default[(0, _cssUtilities.variationName)('Badge-background', badgeBackground)]),
    "aria-hidden": true
  }, badge), source ? /*#__PURE__*/_react.default.createElement("img", {
    className: _Thumbnail.default.Image,
    srcSet: sources === null || sources === void 0 ? void 0 : sources.join(', '),
    src: source,
    alt: description
  }) : /*#__PURE__*/_react.default.createElement("span", {
    className: (0, _cssUtilities.classNames)(_Thumbnail.default.Placeholder)
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: _Thumbnail.default.Icon
  }, /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
    source: "camera"
  }))));
}