"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mountWithContext = void 0;

var _react = _interopRequireDefault(require("react"));

var _dom = require("@quilted/react-testing/dom");

var _components = require("../components");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const defaultTranslate = () => 'NO_TRANSLATIONS_PROVIDED';

const mountWithContext = (0, _dom.createMount)({
  context({
    theme = (0, _components.createTheme)()
  }) {
    return {
      theme
    };
  },

  render(element, {
    theme
  }, {
    translate = defaultTranslate,
    linkComponent
  }) {
    return /*#__PURE__*/_react.default.createElement(_components.AppContext, {
      translate: translate,
      linkComponent: linkComponent
    }, /*#__PURE__*/_react.default.createElement(_components.ThemeContext.Provider, {
      value: theme
    }, element));
  }

});
exports.mountWithContext = mountWithContext;