"use strict";

var _react = _interopRequireDefault(require("react"));

var _testUtilities = require("../test-utilities");

var _focusTrap = require("./focusTrap");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.useFakeTimers();
describe('useFocusTrap', () => {
  const rawCreateElement = document.createElement;
  const focusSpy = jest.fn();
  const createElementSpy = jest.spyOn(document, 'createElement');
  beforeEach(() => {
    createElementSpy.mockImplementation((...args) => {
      const result = rawCreateElement.apply(document, args);

      if (args[0].toLocaleLowerCase() === 'div') {
        result.focus = focusSpy;
      }

      return result;
    });
  });
  afterEach(() => {
    focusSpy.mockReset();
  });
  afterAll(() => {
    createElementSpy.mockRestore();
  });
  it('focuses the element attached to the reference', () => {
    function Component() {
      const ref = (0, _focusTrap.useFocusTrap)();
      return /*#__PURE__*/_react.default.createElement("div", {
        ref: ref
      }, "Hello");
    }

    const component = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react.default.createElement(Component, null));
    component.act(() => {
      jest.runAllTimers();
    });
    expect(focusSpy).toHaveBeenCalled();
  });
});