import React, { ReactNode, HTMLProps, ComponentType } from 'react';
export interface LinkLikeComponentProps extends HTMLProps<HTMLAnchorElement> {
    to: string;
    children?: React.ReactNode;
    external?: boolean;
    [key: string]: any;
}
export declare type TranslationKey = 'close' | 'expand' | 'submit' | 'processing';
export interface Context {
    linkComponent?: ComponentType<LinkLikeComponentProps>;
    translate(key: TranslationKey): string;
}
export declare const AppContextContext: React.Context<Context | null>;
export interface Props extends Context {
    children?: ReactNode;
}
export declare function AppContext({ children, translate, linkComponent }: Props): JSX.Element;
export declare function useAppContext(): Context;
export declare function useTranslate(): (key: TranslationKey) => string;
export declare function useLinkComponent(): React.ComponentClass<LinkLikeComponentProps, any> | React.FunctionComponent<LinkLikeComponentProps> | undefined;
