import { ReactNode, ComponentProps } from 'react';
import { Field } from '../TextField';
export interface Props {
    error?: string;
    id: string;
    label: string;
    name: string;
    onChange?(option: any): void;
    options: any[];
    onSelectOption?(option: any): void;
    value: string;
    ariaLabel: string;
    title: string;
    required?: boolean;
    autocomplete?: ComponentProps<typeof Field>['autocomplete'];
    disabled?: boolean;
    readonly?: boolean;
    children?: ReactNode;
}
export declare function Autocomplete({ error, id, label, name, onChange, options, onSelectOption, value, ariaLabel, title, children, required, autocomplete, disabled, readonly, }: Props): JSX.Element;
export interface AutocompleteOptionsProps {
    children?: ReactNode;
    id?: string;
}
export declare function AutocompleteOptions({ children, id }: AutocompleteOptionsProps): JSX.Element;
export interface AutocompleteOptionProps {
    children?: ReactNode;
    id?: string;
    isSelected?: any;
    onMouseDown?: any;
    onMouseOver?: any;
}
export declare function AutocompleteOption({ children, id, isSelected, onMouseDown, onMouseOver, }: AutocompleteOptionProps): JSX.Element;
export interface AutocompleteFooterProps {
    children?: ReactNode;
}
export declare function AutocompleteFooter({ children }: AutocompleteFooterProps): JSX.Element;
