import React, { PropsWithChildren } from 'react';
import { ButtonProps } from '@shopify/argo-checkout';
export interface Props extends PropsWithChildren<ButtonProps> {
    /** Whether the button should fill all available inline space. */
    fill?: boolean;
    /** Renders a button that is visually styled with secondary colors */
    secondary?: boolean;
    /** Adds an underline to the text when rendered as a plain button */
    underline?: boolean;
}
export declare const Button: React.ForwardRefExoticComponent<Props & React.RefAttributes<unknown>>;
