"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const dom_1 = require("@quilted/react-testing/dom");
const Icon_1 = require("../Icon");
const CalloutHeader_1 = require("./CalloutHeader");
function Child() {
    return <div />;
}
describe('<CalloutHeader />', () => {
    it('renders its children', () => {
        const calloutHeader = dom_1.mount(<CalloutHeader_1.CalloutHeader status="success">
        <Child />
        <Child />
      </CalloutHeader_1.CalloutHeader>);
        expect(calloutHeader).toContainReactComponentTimes(Child, 2);
    });
    it('renders a checkmark icon', () => {
        const calloutHeader = dom_1.mount(<CalloutHeader_1.CalloutHeader status="success">
        <Child />
      </CalloutHeader_1.CalloutHeader>);
        expect(calloutHeader).toContainReactComponent(Icon_1.Icon, {
            source: 'checkmarkCircle',
        });
    });
    it('renders a cancelled icon', () => {
        const calloutHeader = dom_1.mount(<CalloutHeader_1.CalloutHeader status="cancelled">
        <Child />
      </CalloutHeader_1.CalloutHeader>);
        expect(calloutHeader).toContainReactComponent(Icon_1.Icon, {
            source: 'cancelCircle',
        });
    });
});
