"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormattedText = void 0;
const react_1 = __importDefault(require("react"));
/**
 * FormattedText replaces new line characters with HTML line breaks (`<br />`).
 * Use this component when you want to render text created by an editor or a `<textarea>`.
 *
 * Note: this component will eventually grow to support more use cases like basic HTML tags.
 */
function FormattedText({ children = '' }) {
    return (<>
      {children
        .split('\n')
        .filter(Boolean)
        .map((content, index) => (<>
            {index > 0 && <br />}
            {content}
          </>))}
    </>);
}
exports.FormattedText = FormattedText;
