/// <reference types="react" />
import { UnstyledLinkProps } from './components';
export interface Props extends Omit<UnstyledLinkProps, 'to'> {
    /** Destination to navigate to. It will render a plain Button if it’s not provided. */
    to?: string;
    /** Adds an underline to the link */
    underline?: boolean;
}
/**
 * Link is used to navigate the buyer to another page or section within the same page.
 */
export declare function Link({ to, children, onPress, underline, ...rest }: Props): JSX.Element;
