"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.underline = exports.linkWithoutUrl = exports.externalLink = exports.internalLink = void 0;
const react_1 = __importDefault(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const storybook_utilities_1 = require("../../storybook-utilities");
const Link_1 = require("./Link");
const meta = {
    component: Link_1.Link,
    title: 'Link',
    decorators: [addon_knobs_1.withKnobs, storybook_utilities_1.themeWithKnobs('primaryButton')],
};
exports.default = meta;
const defaultProps = {
    to: 'https://shopify.com',
};
exports.internalLink = () => (<Link_1.Link {...defaultProps} external={false}>
    Internal link
  </Link_1.Link>);
exports.externalLink = () => (<Link_1.Link {...defaultProps} external>
    External link
  </Link_1.Link>);
exports.linkWithoutUrl = () => (<Link_1.Link underline to={undefined}>
    Link without Url
  </Link_1.Link>);
exports.underline = () => (<>
    <Link_1.Link {...defaultProps} underline>
      Just a link
    </Link_1.Link>
    <br />
    <Link_1.Link underline>Link without Url (rendered as a Button)</Link_1.Link>
  </>);
