import { ReactNode } from 'react';
export interface Props {
    children?: ReactNode;
    /** CSS class that is applied to the link */
    className?: string;
    /** Destination to navigate to. */
    to: string;
    /** Open the link in a new window or tab */
    external?: boolean;
    /** Unique identifier. Typically used as a target for another component’s controls to associate an accessible label with an action. */
    id?: string;
    /** Callback when pressed. If `to` is provided, it will execute the callback and navigate specified. */
    onPress?(): void;
}
export declare function UnstyledLink({ children, className, to, external, id, onPress, }: Props): JSX.Element;
