"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MoneyLines = void 0;
const react_1 = __importDefault(require("react"));
const VisuallyHidden_1 = require("../VisuallyHidden");
const Heading_1 = require("../Heading");
const id_1 = require("../../utilities/id");
const MoneyLines_css_1 = __importDefault(require("./MoneyLines.css"));
const createId = id_1.createIdCreator('MoneyLine-Heading');
function MoneyLines({ children, title, titleHidden = true, }) {
    const headingId = createId();
    return (<>
      <VisuallyHidden_1.MaybeVisuallyHidden condition={titleHidden}>
        <Heading_1.Heading id={headingId}>{title}</Heading_1.Heading>
      </VisuallyHidden_1.MaybeVisuallyHidden>

      <div className={MoneyLines_css_1.default.MoneyLines} role="table" aria-labelledby={headingId}>
        {children}
      </div>
    </>);
}
exports.MoneyLines = MoneyLines;
