"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.withMultipleSelection = exports.withPrimaryAndSecondaryContent = exports.withHiddenTitle = exports.withTitle = exports.basic = void 0;
const react_1 = __importStar(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const storybook_utilities_1 = require("../../storybook-utilities");
const TextBlock_1 = require("../TextBlock");
const TextContainer_1 = require("../TextContainer");
const _1 = require(".");
const meta = {
    component: _1.OptionList,
    title: 'OptionList',
    decorators: [addon_knobs_1.withKnobs, storybook_utilities_1.themeWithKnobs('optionList')],
};
exports.default = meta;
function Basic() {
    const [selected, setSelected] = react_1.useState(['item_1']);
    return (<_1.OptionList id="basic" selectedItems={selected} onChange={setSelected}>
      <_1.Option id="item_1" label="Item 1" details={<_1.OptionDetails controlledBy="item_1">First item</_1.OptionDetails>}/>

      <_1.Option id="item_2" label="Item 2" details={<_1.OptionDetails controlledBy="item_2">Second item</_1.OptionDetails>}/>

      <_1.Option id="item_3" label="Item 3"/>
    </_1.OptionList>);
}
function WithTitle() {
    const [selected, setSelected] = react_1.useState(['item_1']);
    return (<_1.OptionList id="withTitle" title="Choose a payment method" selectedItems={selected} onChange={setSelected}>
      <_1.Option id="item_1" label="Item 1" details={<_1.OptionDetails controlledBy="item_1">First item</_1.OptionDetails>}/>

      <_1.Option id="item_2" label="Item 2" details={<_1.OptionDetails controlledBy="item_2">Second item</_1.OptionDetails>}/>
    </_1.OptionList>);
}
function WithHiddenTitle() {
    const [selected, setSelected] = react_1.useState(['item_1']);
    return (<_1.OptionList id="withTitle" title="Choose a payment method" titleHidden selectedItems={selected} onChange={setSelected}>
      <_1.Option id="item_1" label="Item 1" details={<_1.OptionDetails controlledBy="item_1">First item</_1.OptionDetails>}/>

      <_1.Option id="item_2" label="Item 2" details={<_1.OptionDetails controlledBy="item_2">Second item</_1.OptionDetails>}/>
    </_1.OptionList>);
}
function WithPrimaryAndSecondaryContent() {
    const [selected, setSelected] = react_1.useState(['item_1']);
    return (<_1.OptionList id="withAccessory" selectedItems={selected} onChange={setSelected}>
      <_1.Option id="item_1" label="Free shipping. $0.00">
        <_1.OptionPrimaryContent>Free shipping</_1.OptionPrimaryContent>
        <_1.OptionSecondaryContent>
          <TextBlock_1.TextBlock emphasized>Free</TextBlock_1.TextBlock>
        </_1.OptionSecondaryContent>
      </_1.Option>

      <_1.Option id="item_2" label="Standard shipping. $19.00">
        <_1.OptionPrimaryContent>Standard shipping</_1.OptionPrimaryContent>
        <_1.OptionSecondaryContent>
          <TextBlock_1.TextBlock emphasized>$19.00</TextBlock_1.TextBlock>
        </_1.OptionSecondaryContent>
      </_1.Option>

      <_1.Option id="item_3" label="Paypal">
        <_1.OptionPrimaryContent>
          <img src="https://cdn.shopify.com/s/assets/checkout/offsite-gateway-logos/paypal@2x-768388b0667bef1aa9a7cf02fa1cc2184c2915a90d4cdd62dde223f74f2acbfc.png" alt="" height="24"/>
        </_1.OptionPrimaryContent>
        <_1.OptionSecondaryContent>
          <TextContainer_1.TextContainer spacing="none" alignment="trailing">
            <TextBlock_1.TextBlock emphasized>Free</TextBlock_1.TextBlock>
            <TextBlock_1.TextBlock subdued>Ready for pickup</TextBlock_1.TextBlock>
          </TextContainer_1.TextContainer>
        </_1.OptionSecondaryContent>
      </_1.Option>

      <_1.Option id="item_4" label="Store name 1 accessible content">
        <_1.OptionPrimaryContent>
          <TextBlock_1.TextBlock emphasized>Store name 1</TextBlock_1.TextBlock>
          <TextBlock_1.TextBlock subdued>
            490 Rue De La Gauchetière O, Montréal, QC
          </TextBlock_1.TextBlock>
        </_1.OptionPrimaryContent>
        <_1.OptionSecondaryContent>
          <TextContainer_1.TextContainer spacing="none" alignment="trailing">
            <TextBlock_1.TextBlock emphasized>Free</TextBlock_1.TextBlock>
            <TextBlock_1.TextBlock subdued>Ready for pickup</TextBlock_1.TextBlock>
          </TextContainer_1.TextContainer>
        </_1.OptionSecondaryContent>
      </_1.Option>

      <_1.Option id="item_5" label="Store Name 2 accessible content">
        <_1.OptionPrimaryContent>
          <TextContainer_1.TextContainer>
            <TextBlock_1.TextBlock emphasized>Store name 2</TextBlock_1.TextBlock>
            <TextBlock_1.TextBlock subdued>150 Elgin St, Ottawa, ON</TextBlock_1.TextBlock>
            <TextBlock_1.TextBlock>
              Lorem ipsum dolor sit amet consectetur adipisicing elit. Assumenda
              hic, repudiandae ipsam earum molestiae exercitationem sunt
              deleniti reprehenderit enim adipisci consequuntur explicabo
              tempora officia nemo consequatur ut sint voluptate sequi?
            </TextBlock_1.TextBlock>
            <TextBlock_1.TextBlock>
              Lorem ipsum, dolor sit amet consectetur adipisicing elit. Ratione,
              tenetur autem ipsam itaque repellendus a maxime ex. Et
              reprehenderit aliquid odit blanditiis perferendis commodi
              molestias, itaque voluptates eaque reiciendis nam.
            </TextBlock_1.TextBlock>
          </TextContainer_1.TextContainer>
        </_1.OptionPrimaryContent>
        <_1.OptionSecondaryContent>
          <TextContainer_1.TextContainer spacing="none" alignment="trailing">
            <TextBlock_1.TextBlock emphasized>Free</TextBlock_1.TextBlock>
            <TextBlock_1.TextBlock subdued>Ready for pickup</TextBlock_1.TextBlock>
          </TextContainer_1.TextContainer>
        </_1.OptionSecondaryContent>
      </_1.Option>
    </_1.OptionList>);
}
function WithMultipleSelection() {
    const [selected, setSelected] = react_1.useState([]);
    return (<_1.OptionList allowMultiple id="withAccessory" selectedItems={selected} onChange={setSelected}>
      <_1.Option id="item_1" label="Item 1" details={<_1.OptionDetails controlledBy="item_1">First item</_1.OptionDetails>}/>

      <_1.Option id="item_2" label="Item 2" details={<_1.OptionDetails controlledBy="item_2">Second item</_1.OptionDetails>}/>
    </_1.OptionList>);
}
exports.basic = () => <Basic />;
exports.withTitle = () => <WithTitle />;
exports.withHiddenTitle = () => <WithHiddenTitle />;
exports.withPrimaryAndSecondaryContent = () => (<WithPrimaryAndSecondaryContent />);
exports.withMultipleSelection = () => <WithMultipleSelection />;
