import { ReactNode } from 'react';
import { Props as PopperProps } from '../Popper';
export interface Props {
    children: ReactNode;
    /**
     * Element used to activate the Popover
     */
    activator: HTMLElement | null;
    /**
     * Show or hide the popover
     */
    open: boolean;
    /**
     * Callback to run when the Popover is closed
     */
    onClose: () => void;
    /**
     * Moves the Popover relative to its arrow.
     *
     * Number is in pixels
     *
     * Example:
     * - `10` represents `10px` */
    offset?: number;
    /**
     * Position the Popover relative to the activator.
     * @default 'inlineEnd'
     */
    placement?: PopperProps['placement'];
}
export declare function Popover({ children, activator, open: openProp, onClose, offset, placement, }: Props): JSX.Element | null;
