"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Popover = void 0;
const css_utilities_1 = require("@shopify/css-utilities");
/* eslint-disable jsx-a11y/click-events-have-key-events */
const react_1 = __importStar(require("react"));
const units_1 = require("../../utilities/units");
const Popper_1 = require("../Popper");
const Popover_css_1 = __importDefault(require("./Popover.css"));
function Popover({ children, activator, open: openProp, onClose, offset, placement = 'inlineEnd', }) {
    const [open, setOpen] = react_1.useState(openProp);
    react_1.useEffect(() => {
        setOpen(openProp);
    }, [openProp]);
    const handleClose = react_1.useCallback(() => {
        setOpen(false);
        if (activator instanceof HTMLElement) {
            activator.focus();
        }
        onClose === null || onClose === void 0 ? void 0 : onClose();
    }, [activator, onClose]);
    const popoverClassName = css_utilities_1.classNames(Popover_css_1.default.Popover, Popover_css_1.default[css_utilities_1.variationName('Popover-placement', placement)]);
    const contentClassName = css_utilities_1.classNames(Popover_css_1.default.Content, Popover_css_1.default[css_utilities_1.variationName('Content-placement', placement)]);
    const popoverStyle = {
        '--popover-offset': offset
            ? units_1.rem(offset)
            : undefined /* stylelint-disable-line value-keyword-case */,
    };
    return open ? (<>
      <Popper_1.Popper activator={activator} placement={placement} offset={15}>
        <div className={popoverClassName} style={popoverStyle}>
          <div className={contentClassName}>{children}</div>
        </div>
      </Popper_1.Popper>
      <div className={Popover_css_1.default.Overlay} onClick={handleClose}/>
    </>) : null;
}
exports.Popover = Popover;
