"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.inputActivator = exports.blockWithOffset = exports.inlineWithOffset = exports.blockEnd = exports.blockStart = exports.inlineEnd = exports.inlineStart = void 0;
const react_1 = __importStar(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const Text_1 = require("../Text");
const storybook_utilities_1 = require("../../storybook-utilities");
const Button_1 = require("../Button");
const TextField_1 = require("../TextField");
const Popover_1 = require("./Popover");
const meta = {
    component: Popover_1.Popover,
    title: 'Popover',
    decorators: [addon_knobs_1.withKnobs, storybook_utilities_1.themeWithKnobs('primaryButton', 'secondaryButton')],
};
exports.default = meta;
const Content = ({ children }) => {
    return (<div style={{
        position: 'absolute',
        top: 0,
        bottom: 0,
        left: 0,
        right: 0,
        display: 'flex',
        flexDirection: 'column',
        alignItems: 'center',
        justifyContent: 'center',
    }}>
      {children}
    </div>);
};
const StoryPopover = ({ placement, offset, }) => {
    var _a;
    const activatorRef = react_1.useRef();
    const [open, setOpen] = react_1.useState(false);
    return (<Content>
      <Button_1.Button ref={activatorRef} onPress={() => setOpen(true)}>
        Click me
      </Button_1.Button>
      <Popover_1.Popover activator={(_a = activatorRef.current) !== null && _a !== void 0 ? _a : null} open={open} onClose={() => {
        setOpen(false);
    }} placement={placement} offset={offset}>
        <Text_1.Text>Hello world!</Text_1.Text>
      </Popover_1.Popover>
    </Content>);
};
exports.inlineStart = () => <StoryPopover placement="inlineStart"/>;
exports.inlineEnd = () => <StoryPopover placement="inlineEnd"/>;
exports.blockStart = () => <StoryPopover placement="blockStart"/>;
exports.blockEnd = () => <StoryPopover placement="blockEnd"/>;
exports.inlineWithOffset = () => <StoryPopover offset={10}/>;
exports.blockWithOffset = () => (<StoryPopover placement="blockStart" offset={10}/>);
function InputAsActivator() {
    var _a;
    const activatorRef = react_1.useRef();
    const [open, setOpen] = react_1.useState(false);
    const handleChange = react_1.useCallback(() => {
        setOpen(true);
    }, [setOpen]);
    return (<Content>
      <TextField_1.TextField onChange={handleChange} label="Email" ref={activatorRef}/>
      <Popover_1.Popover activator={(_a = activatorRef.current) !== null && _a !== void 0 ? _a : null} open={open} onClose={() => {
        setOpen(false);
    }}>
        <Text_1.Text>Hello world!</Text_1.Text>
      </Popover_1.Popover>
    </Content>);
}
exports.inputActivator = () => <InputAsActivator />;
