"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProgressTracker = void 0;
const react_1 = __importStar(require("react"));
const context_1 = require("./context");
const ProgressTracker_css_1 = __importDefault(require("./ProgressTracker.css"));
function ProgressTracker({ activeStep, children }) {
    const stepIds = react_1.default.Children.toArray(children).map((child) => {
        if (react_1.default.isValidElement(child)) {
            return child.props.id;
        }
    });
    const contextValue = react_1.useMemo(() => ({
        steps: stepIds.reduce((steps, step, index) => {
            steps[step] = {
                active: activeStep ? activeStep === step : index === 0,
                completed: stepIds.indexOf(activeStep) > stepIds.indexOf(step),
            };
            return steps;
        }, {}),
    }), [activeStep, stepIds]);
    return (<context_1.ProgressTrackerContext.Provider value={contextValue}>
      <ol className={ProgressTracker_css_1.default.ProgressTracker}>{children}</ol>
    </context_1.ProgressTrackerContext.Provider>);
}
exports.ProgressTracker = ProgressTracker;
