"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.multipleContent = exports.withoutPrimaryContent = exports.defaultState = void 0;
const react_1 = __importDefault(require("react"));
const Text_1 = require("../Text");
const Thumbnail_1 = require("../Thumbnail");
const TextBlock_1 = require("../TextBlock");
const Icon_1 = require("../Icon");
const InlineStack_1 = require("../InlineStack");
const ResourceItem_1 = require("./ResourceItem");
const meta = {
    component: ResourceItem_1.ResourceItem,
    title: 'ResourceItem',
    decorators: [
        (story) => <div style={{ margin: '1em' }}>{story()}</div>,
    ],
};
exports.default = meta;
exports.defaultState = () => {
    return (<ResourceItem_1.ResourceItem>
      <ResourceItem_1.ResourceItemContent primary>
        <Text_1.Text emphasized>T-shirt</Text_1.Text>
      </ResourceItem_1.ResourceItemContent>
      <ResourceItem_1.ResourceItemContent>
        <Text_1.Text>$10.00</Text_1.Text>
      </ResourceItem_1.ResourceItemContent>
    </ResourceItem_1.ResourceItem>);
};
exports.withoutPrimaryContent = () => {
    return (<ResourceItem_1.ResourceItem>
      <ResourceItem_1.ResourceItemContent>
        <Text_1.Text emphasized>T-shirt</Text_1.Text>
      </ResourceItem_1.ResourceItemContent>
      <ResourceItem_1.ResourceItemContent>
        <Text_1.Text>$10.00</Text_1.Text>
      </ResourceItem_1.ResourceItemContent>
    </ResourceItem_1.ResourceItem>);
};
exports.multipleContent = () => {
    return (<ResourceItem_1.ResourceItem>
      <ResourceItem_1.ResourceItemContent>
        <Thumbnail_1.Thumbnail description="some media source" badge={1}/>
      </ResourceItem_1.ResourceItemContent>
      <ResourceItem_1.ResourceItemContent primary>
        <TextBlock_1.TextBlock emphasized>T-shirt</TextBlock_1.TextBlock>
        <TextBlock_1.TextBlock size="small" subdued>
          Blue
        </TextBlock_1.TextBlock>
        <TextBlock_1.TextBlock appearance="success">
          <InlineStack_1.InlineStack alignment="center" spacing="xtight">
            <Icon_1.Icon source="checkmark" size="default"/>
            <Text_1.Text size="small">Available</Text_1.Text>
          </InlineStack_1.InlineStack>
        </TextBlock_1.TextBlock>
      </ResourceItem_1.ResourceItemContent>
      <ResourceItem_1.ResourceItemContent>
        <Text_1.Text emphasized>$10.00</Text_1.Text>
      </ResourceItem_1.ResourceItemContent>
    </ResourceItem_1.ResourceItem>);
};
