"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.error = exports.minMaxAndStep = exports.step = exports.minAndMax = exports.max = exports.min = exports.defaultState = void 0;
const react_1 = __importDefault(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const storybook_utilities_1 = require("../../storybook-utilities");
const Stepper_1 = require("./Stepper");
const meta = {
    component: Stepper_1.Stepper,
    title: 'Stepper',
    decorators: [
        addon_knobs_1.withKnobs,
        storybook_utilities_1.themeWithKnobs('textFields'),
        (story) => (<div style={{
            padding: '1em',
        }}>
        {story()}
      </div>),
    ],
};
exports.default = meta;
const defaultProps = {
    label: 'Quantity',
};
exports.defaultState = () => <Stepper_1.Stepper {...defaultProps}/>;
exports.min = () => <Stepper_1.Stepper {...defaultProps} min={3}/>;
exports.max = () => <Stepper_1.Stepper {...defaultProps} max={5}/>;
exports.minAndMax = () => <Stepper_1.Stepper {...defaultProps} min={1} max={5}/>;
exports.step = () => <Stepper_1.Stepper {...defaultProps} step={0.5}/>;
exports.minMaxAndStep = () => (<Stepper_1.Stepper {...defaultProps} step={2} min={0} max={5}/>);
exports.error = () => <Stepper_1.Stepper {...defaultProps} error="Limit reached"/>;
