import { PropsWithChildren } from 'react';
import { TextProps } from '@shopify/argo-checkout';
import { ThemeTypographyStyle } from '../Theme';
interface Props extends PropsWithChildren<Omit<TextProps, 'size' | 'appearance'>> {
    /** Changes the text based on the Theme styles */
    style?: ThemeTypographyStyle;
    /** Changes the size */
    size?: 'xsmall' | TextProps['size'];
    appearance?: 'accent' | TextProps['appearance'];
}
export declare function Text({ children, size, emphasized, subdued, appearance, role, style, id, }: Props): JSX.Element;
export {};
