"use strict";
/* eslint id-length: off */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Theme = void 0;
const react_1 = __importStar(require("react"));
const context_1 = require("./context");
const components_1 = require("./components");
function Theme({ children, theme }) {
    const supportsCustomProperties = useSupportsCustomProperties();
    return (<context_1.ThemeContext.Provider value={theme}>
      <components_1.MaybeWebFonts condition={process.env.NODE_ENV !== 'production'}>
        {supportsCustomProperties ? (<components_1.CustomProperties>
            <components_1.Canvas>{children}</components_1.Canvas>
          </components_1.CustomProperties>) : (<>
            <components_1.CustomPropertiesFallback />
            <components_1.Canvas>{children}</components_1.Canvas>
          </>)}
      </components_1.MaybeWebFonts>
    </context_1.ThemeContext.Provider>);
}
exports.Theme = Theme;
// TODO: if we ever do server rendering, this will need to be based on UA
// string on the server to avoid server/ client mismatches.
function useSupportsCustomProperties() {
    return react_1.useMemo(() => typeof CSS !== 'undefined' && CSS.supports('color', 'var(--test)'), []);
}
