"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.View = void 0;
const react_1 = __importDefault(require("react"));
const css_utilities_1 = require("@shopify/css-utilities");
const View_css_1 = __importDefault(require("./View.css"));
/**
 * A View is a generic container component. Its contents will always be their
 * “natural” size, so this component can be useful in layout components (like `Layout`, `Tiles`,
 * `BlockStack`, `InlineStack`) that would otherwise stretch their children to fit.
 */
function View({ children, inlinePadding, blockPadding, }) {
    const className = css_utilities_1.classNames(inlinePadding && View_css_1.default[css_utilities_1.variationName('inlinePadding', inlinePadding)], blockPadding && View_css_1.default[css_utilities_1.variationName('blockPadding', blockPadding)]);
    return <div className={className}>{children}</div>;
}
exports.View = View;
