"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const dom_1 = require("@quilted/react-testing/dom");
const mounted_1 = require("./mounted");
describe('useMounted', () => {
    it('returns true if component is mounted', () => {
        const spy = jest.fn();
        function Mounted() {
            const mounted = mounted_1.useMounted();
            react_1.useEffect(() => {
                spy(mounted);
            }, [mounted]);
            return null;
        }
        dom_1.mount(<Mounted />);
        expect(spy.mock.calls).toMatchObject([[{ current: true }]]);
    });
    it('returns false if component is unmounted', () => {
        const spy = jest.fn();
        function Unmounted() {
            const mounted = mounted_1.useMounted();
            react_1.useEffect(() => {
                spy(mounted);
            }, [mounted]);
            return null;
        }
        const unmountedComponent = dom_1.mount(<Unmounted />);
        unmountedComponent.unmount();
        expect(spy.mock.calls).toMatchObject([[{ current: false }]]);
    });
});
